- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
Ecore_X.h File Reference

Ecore functions for dealing with the X Windows System. More...

## Data Structures
struct | _Ecore_X_Version
struct | _Ecore_X_Icon
struct | _Ecore_X_Rectangle
struct | _Ecore_X_Event_Mouse_In
struct | _Ecore_X_Event_Mouse_Out
struct | _Ecore_X_Event_Window_Focus_In
struct | _Ecore_X_Event_Window_Focus_Out
struct | _Ecore_X_Event_Window_Keymap
struct | _Ecore_X_Event_Window_Damage
struct | _Ecore_X_Event_Window_Visibility_Change
struct | _Ecore_X_Event_Window_Create
struct | _Ecore_X_Event_Window_Destroy
struct | _Ecore_X_Event_Window_Hide
struct | _Ecore_X_Event_Window_Show
struct | _Ecore_X_Event_Window_Show_Request
struct | _Ecore_X_Event_Window_Reparent
struct | _Ecore_X_Event_Window_Configure
struct | _Ecore_X_Event_Window_Configure_Request
struct | _Ecore_X_Event_Window_Gravity
struct | _Ecore_X_Event_Window_Resize_Request
struct | _Ecore_X_Event_Window_Stack
struct | _Ecore_X_Event_Window_Stack_Request
struct | _Ecore_X_Event_Window_Property
struct | _Ecore_X_Event_Window_Colormap
struct | _Ecore_X_Event_Mapping_Change
struct | _Ecore_X_Event_Selection_Clear
struct | _Ecore_X_Event_Selection_Request
struct | _Ecore_X_Event_Fixes_Selection_Notify
struct | _Ecore_X_Event_Selection_Notify
struct | _Ecore_X_Selection_Data
struct | _Ecore_X_Selection_Data_Files
struct | _Ecore_X_Selection_Data_Text
struct | _Ecore_X_Selection_Data_X_Moz_Url
struct | _Ecore_X_Selection_Data_Targets
struct | _Ecore_X_Event_Xdnd_Enter
struct | _Ecore_X_Event_Xdnd_Position
struct | _Ecore_X_Xdnd_Position
struct | _Ecore_X_Event_Xdnd_Status
struct | _Ecore_X_Event_Xdnd_Leave
struct | _Ecore_X_Event_Xdnd_Drop
struct | _Ecore_X_Event_Xdnd_Finished
struct | _Ecore_X_Event_Client_Message
struct | _Ecore_X_Event_Window_Shape
struct | _Ecore_X_Event_Screensaver_Notify
struct | _Ecore_X_Event_Sync_Counter
struct | _Ecore_X_Event_Sync_Alarm
struct | _Ecore_X_Randr_Screen_Size
struct | _Ecore_X_Randr_Screen_Size_MM
struct | _Ecore_X_Randr_Crtc_Info
struct | _Ecore_X_Event_Screen_Change
struct | _Ecore_X_Event_Randr_Crtc_Change
struct | _Ecore_X_Event_Randr_Output_Change
struct | _Ecore_X_Event_Randr_Output_Property_Notify
struct | _Ecore_X_Event_Window_Delete_Request
struct | _Ecore_X_Event_Window_Prop_Title_Change
struct | _Ecore_X_Event_Window_Prop_Visible_Title_Change
struct | _Ecore_X_Event_Window_Prop_Icon_Name_Change
struct | _Ecore_X_Event_Window_Prop_Visible_Icon_Name_Change
struct | _Ecore_X_Event_Window_Prop_Client_Machine_Change
struct | _Ecore_X_Event_Window_Prop_Name_Class_Change
struct | _Ecore_X_Event_Window_Prop_Pid_Change
struct | _Ecore_X_Event_Window_Prop_Desktop_Change
struct | _Ecore_X_Event_Startup_Sequence
struct | _Ecore_X_Event_Window_Move_Resize_Request
struct | _Ecore_X_Event_Window_State_Request
struct | _Ecore_X_Event_Frame_Extents_Request
struct | _Ecore_X_Event_Ping
struct | _Ecore_X_Event_Desktop_Change
struct | _Ecore_X_Event_Generic
struct | Ecore_X_Present
struct | Ecore_X_Event_Present_Configure
struct | Ecore_X_Event_Present_Complete
struct | Ecore_X_Event_Present_Idle
struct | _Ecore_X_Window_Attributes
struct | _Ecore_X_Randr_Mode_Info
struct | _Ecore_X_Randr_Crtc_Gamma_Info
struct | _Ecore_X_Event_Damage
struct | _Ecore_X_Event_Xkb
struct | _Ecore_X_Event_Gesture_Notify_Flick
struct | _Ecore_X_Event_Gesture_Notify_Pan
struct | _Ecore_X_Event_Gesture_Notify_PinchRotation
struct | _Ecore_X_Event_Gesture_Notify_Tap
struct | _Ecore_X_Event_Gesture_Notify_TapNHold
struct | _Ecore_X_Event_Gesture_Notify_Hold
struct | _Ecore_X_Event_Gesture_Notify_Group

## Macros
#define | EAPI
#define | ECORE_X_VERSION_MAJOR EFL_VERSION_MAJOR
#define | ECORE_X_VERSION_MINOR EFL_VERSION_MINOR
#define | ECORE_X_RANDR_EDID_UNKNOWN_VALUE -1
#define | ECORE_X_SELECTION_TARGET_TARGETS "TARGETS"
#define | ECORE_X_SELECTION_TARGET_TEXT "TEXT"
#define | ECORE_X_SELECTION_TARGET_COMPOUND_TEXT "COMPOUND_TEXT"
#define | ECORE_X_SELECTION_TARGET_STRING "STRING"
#define | ECORE_X_SELECTION_TARGET_UTF8_STRING "UTF8_STRING"
#define | ECORE_X_SELECTION_TARGET_FILENAME "FILENAME"
#define | ECORE_X_SELECTION_TARGET_X_MOZ_URL "X_MOZ_URL"
#define | ECORE_X_DND_VERSION 5
#define | ECORE_X_WINDOW_LAYER_BELOW 2
#define | ECORE_X_WINDOW_LAYER_NORMAL 4
#define | ECORE_X_WINDOW_LAYER_ABOVE 6
#define | ECORE_X_PROP_LIST_REMOVE 0
#define | ECORE_X_PROP_LIST_ADD 1
#define | ECORE_X_PROP_LIST_TOGGLE 2

## Typedefs
typedef struct _Ecore_X_Version | Ecore_X_Version
| Represents the current version of Ecore_X.
typedef unsigned int | Ecore_X_ID
typedef Ecore_X_ID | Ecore_X_Window
typedef Ecore_X_ID | Ecore_X_Pixmap
typedef Ecore_X_ID | Ecore_X_Atom
typedef struct _Ecore_X_Icon | Ecore_X_Icon
typedef void * | Ecore_X_Visual
typedef Ecore_X_ID | Ecore_X_Drawable
typedef void * | Ecore_X_GC
typedef Ecore_X_ID | Ecore_X_Colormap
typedef Ecore_X_ID | Ecore_X_Time
typedef Ecore_X_ID | Ecore_X_Cursor
typedef void | Ecore_X_Display
typedef void | Ecore_X_Connection
typedef void | Ecore_X_Screen
typedef Ecore_X_ID | Ecore_X_Sync_Counter
typedef Ecore_X_ID | Ecore_X_Sync_Alarm
typedef Ecore_X_ID | Ecore_X_Sync_Fence
typedef void | Ecore_X_XRegion
typedef Ecore_X_ID | Ecore_X_Randr_Output
typedef Ecore_X_ID | Ecore_X_Randr_Crtc
typedef Ecore_X_ID | Ecore_X_Randr_Mode
typedef unsigned short | Ecore_X_Randr_Size_ID
typedef int | Ecore_X_Randr_Screen
typedef Ecore_X_ID | Ecore_X_Device
typedef struct _Ecore_X_Rectangle | Ecore_X_Rectangle
typedef enum _Ecore_X_GC_Value_Mask | Ecore_X_GC_Value_Mask
typedef enum _Ecore_X_Composite_Update_Type | Ecore_X_Composite_Update_Type
typedef enum _Ecore_X_Window_State | Ecore_X_Window_State
typedef enum _Ecore_X_Window_State_Action | Ecore_X_Window_State_Action
typedef enum _Ecore_X_Window_Stack_Mode | Ecore_X_Window_Stack_Mode
typedef enum _Ecore_X_Randr_Orientation | Ecore_X_Randr_Orientation
typedef enum _Ecore_X_Randr_Connection_Status | Ecore_X_Randr_Connection_Status
typedef enum _Ecore_X_Randr_Output_Policy | Ecore_X_Randr_Output_Policy
typedef enum _Ecore_X_Randr_Relative_Alignment | Ecore_X_Randr_Relative_Alignment
typedef enum _Ecore_X_Render_Subpixel_Order | Ecore_X_Render_Subpixel_Order
typedef enum _Ecore_X_Randr_Edid_Display_Interface_Type | Ecore_X_Randr_Edid_Display_Interface_Type
typedef enum _Ecore_X_Randr_Edid_Display_Colorscheme | Ecore_X_Randr_Edid_Display_Colorscheme
typedef enum _Ecore_X_Randr_Edid_Aspect_Ratio | Ecore_X_Randr_Edid_Aspect_Ratio
typedef enum _Ecore_X_Selection | Ecore_X_Selection
typedef enum _Ecore_X_Event_Mode | Ecore_X_Event_Mode
typedef enum _Ecore_X_Event_Detail | Ecore_X_Event_Detail
typedef enum _Ecore_X_Event_Mask | Ecore_X_Event_Mask
typedef enum _Ecore_X_Gravity | Ecore_X_Gravity
typedef enum _Ecore_X_Shape_Type | Ecore_X_Shape_Type
typedef enum _Ecore_X_Mapping_Type | Ecore_X_Mapping_Type
typedef enum _Ecore_X_Randr_Property_Change | Ecore_X_Randr_Property_Change
typedef enum _Ecore_X_Netwm_Direction | Ecore_X_Netwm_Direction
typedef enum _Ecore_X_Error_Code | Ecore_X_Error_Code
typedef enum _Ecore_X_Dpms_Mode | Ecore_X_Dpms_Mode
typedef struct _Ecore_X_Event_Mouse_In | Ecore_X_Event_Mouse_In
typedef struct _Ecore_X_Event_Mouse_Out | Ecore_X_Event_Mouse_Out
typedef struct _Ecore_X_Event_Window_Focus_In | Ecore_X_Event_Window_Focus_In
typedef struct _Ecore_X_Event_Window_Focus_Out | Ecore_X_Event_Window_Focus_Out
typedef struct _Ecore_X_Event_Window_Keymap | Ecore_X_Event_Window_Keymap
typedef struct _Ecore_X_Event_Window_Damage | Ecore_X_Event_Window_Damage
typedef struct _Ecore_X_Event_Window_Visibility_Change | Ecore_X_Event_Window_Visibility_Change
typedef struct _Ecore_X_Event_Window_Create | Ecore_X_Event_Window_Create
typedef struct _Ecore_X_Event_Window_Destroy | Ecore_X_Event_Window_Destroy
typedef struct _Ecore_X_Event_Window_Hide | Ecore_X_Event_Window_Hide
typedef struct _Ecore_X_Event_Window_Show | Ecore_X_Event_Window_Show
typedef struct _Ecore_X_Event_Window_Show_Request | Ecore_X_Event_Window_Show_Request
typedef struct _Ecore_X_Event_Window_Reparent | Ecore_X_Event_Window_Reparent
typedef struct _Ecore_X_Event_Window_Configure | Ecore_X_Event_Window_Configure
typedef struct _Ecore_X_Event_Window_Configure_Request | Ecore_X_Event_Window_Configure_Request
typedef struct _Ecore_X_Event_Window_Gravity | Ecore_X_Event_Window_Gravity
typedef struct _Ecore_X_Event_Window_Resize_Request | Ecore_X_Event_Window_Resize_Request
typedef struct _Ecore_X_Event_Window_Stack | Ecore_X_Event_Window_Stack
typedef struct _Ecore_X_Event_Window_Stack_Request | Ecore_X_Event_Window_Stack_Request
typedef struct _Ecore_X_Event_Window_Property | Ecore_X_Event_Window_Property
typedef struct _Ecore_X_Event_Window_Colormap | Ecore_X_Event_Window_Colormap
typedef struct _Ecore_X_Event_Mapping_Change | Ecore_X_Event_Mapping_Change
typedef struct _Ecore_X_Event_Window_Mapping | Ecore_X_Event_Window_Mapping
typedef struct _Ecore_X_Event_Selection_Clear | Ecore_X_Event_Selection_Clear
typedef struct _Ecore_X_Event_Selection_Request | Ecore_X_Event_Selection_Request
typedef struct _Ecore_X_Event_Selection_Notify | Ecore_X_Event_Selection_Notify
typedef struct _Ecore_X_Event_Fixes_Selection_Notify | Ecore_X_Event_Fixes_Selection_Notify
typedef struct _Ecore_X_Selection_Data | Ecore_X_Selection_Data
typedef struct _Ecore_X_Selection_Data_Files | Ecore_X_Selection_Data_Files
typedef struct _Ecore_X_Selection_Data_Text | Ecore_X_Selection_Data_Text
typedef struct _Ecore_X_Selection_Data_X_Moz_Url | Ecore_X_Selection_Data_X_Moz_Url
typedef struct _Ecore_X_Selection_Data_Targets | Ecore_X_Selection_Data_Targets
typedef struct _Ecore_X_Event_Xdnd_Enter | Ecore_X_Event_Xdnd_Enter
typedef struct _Ecore_X_Event_Xdnd_Position | Ecore_X_Event_Xdnd_Position
typedef struct _Ecore_X_Event_Xdnd_Status | Ecore_X_Event_Xdnd_Status
typedef struct _Ecore_X_Event_Xdnd_Leave | Ecore_X_Event_Xdnd_Leave
typedef struct _Ecore_X_Event_Xdnd_Drop | Ecore_X_Event_Xdnd_Drop
typedef struct _Ecore_X_Event_Xdnd_Finished | Ecore_X_Event_Xdnd_Finished
typedef struct _Ecore_X_Event_Client_Message | Ecore_X_Event_Client_Message
typedef struct _Ecore_X_Event_Window_Shape | Ecore_X_Event_Window_Shape
typedef struct _Ecore_X_Event_Screensaver_Notify | Ecore_X_Event_Screensaver_Notify
typedef struct _Ecore_X_Event_Gesture_Notify_Flick | Ecore_X_Event_Gesture_Notify_Flick
typedef struct _Ecore_X_Event_Gesture_Notify_Pan | Ecore_X_Event_Gesture_Notify_Pan
typedef struct _Ecore_X_Event_Gesture_Notify_PinchRotation | Ecore_X_Event_Gesture_Notify_PinchRotation
typedef struct _Ecore_X_Event_Gesture_Notify_Tap | Ecore_X_Event_Gesture_Notify_Tap
typedef struct _Ecore_X_Event_Gesture_Notify_TapNHold | Ecore_X_Event_Gesture_Notify_TapNHold
typedef struct _Ecore_X_Event_Gesture_Notify_Hold | Ecore_X_Event_Gesture_Notify_Hold
typedef struct _Ecore_X_Event_Gesture_Notify_Group | Ecore_X_Event_Gesture_Notify_Group
typedef struct _Ecore_X_Event_Sync_Counter | Ecore_X_Event_Sync_Counter
typedef struct _Ecore_X_Event_Sync_Alarm | Ecore_X_Event_Sync_Alarm
typedef struct _Ecore_X_Event_Screen_Change | Ecore_X_Event_Screen_Change
typedef struct _Ecore_X_Event_Randr_Crtc_Change | Ecore_X_Event_Randr_Crtc_Change
typedef struct _Ecore_X_Event_Randr_Output_Change | Ecore_X_Event_Randr_Output_Change
typedef struct _Ecore_X_Event_Randr_Output_Property_Notify | Ecore_X_Event_Randr_Output_Property_Notify
typedef struct _Ecore_X_Event_Window_Delete_Request | Ecore_X_Event_Window_Delete_Request
typedef struct _Ecore_X_Event_Window_Move_Resize_Request | Ecore_X_Event_Window_Move_Resize_Request
typedef struct _Ecore_X_Event_Window_State_Request | Ecore_X_Event_Window_State_Request
typedef struct _Ecore_X_Event_Frame_Extents_Request | Ecore_X_Event_Frame_Extents_Request
typedef struct _Ecore_X_Event_Ping | Ecore_X_Event_Ping
typedef struct _Ecore_X_Event_Desktop_Change | Ecore_X_Event_Desktop_Change
typedef struct _Ecore_X_Event_Startup_Sequence | Ecore_X_Event_Startup_Sequence
typedef struct _Ecore_X_Event_Generic | Ecore_X_Event_Generic
typedef struct Ecore_X_Event_Present_Configure | Ecore_X_Event_Present_Configure
typedef struct Ecore_X_Event_Present_Complete | Ecore_X_Event_Present_Complete
typedef struct Ecore_X_Event_Present_Idle | Ecore_X_Event_Present_Idle
typedef struct _Ecore_X_Randr_Screen_Size | Ecore_X_Randr_Screen_Size
typedef struct _Ecore_X_Randr_Screen_Size_MM | Ecore_X_Randr_Screen_Size_MM
typedef struct _Ecore_X_Randr_Crtc_Info | Ecore_X_Randr_Crtc_Info
typedef struct _Ecore_X_Xdnd_Position | Ecore_X_Xdnd_Position
typedef enum Ecore_X_Present_Event_Mask | Ecore_X_Present_Event_Mask
typedef struct Ecore_X_Present | Ecore_X_Present
typedef enum _Ecore_X_WM_Protocol | Ecore_X_WM_Protocol
typedef enum _Ecore_X_Window_Input_Mode | Ecore_X_Window_Input_Mode
typedef enum _Ecore_X_Window_State_Hint | Ecore_X_Window_State_Hint
typedef enum _Ecore_X_Window_Type | Ecore_X_Window_Type
typedef enum _Ecore_X_Action | Ecore_X_Action
typedef enum _Ecore_X_Window_Configure_Mask | Ecore_X_Window_Configure_Mask
typedef enum _Ecore_X_Virtual_Keyboard_State | Ecore_X_Virtual_Keyboard_State
typedef enum _Ecore_X_Illume_Mode | Ecore_X_Illume_Mode
typedef enum _Ecore_X_Illume_Quickpanel_State | Ecore_X_Illume_Quickpanel_State
typedef enum _Ecore_X_Illume_Indicator_State | Ecore_X_Illume_Indicator_State
typedef enum _Ecore_X_Illume_Clipboard_State | Ecore_X_Illume_Clipboard_State
typedef enum _Ecore_X_Illume_Indicator_Opacity_Mode | Ecore_X_Illume_Indicator_Opacity_Mode
typedef enum _Ecore_X_Illume_Indicator_Type_Mode | Ecore_X_Illume_Indicator_Type_Mode
typedef enum _Ecore_X_Illume_Window_State | Ecore_X_Illume_Window_State
typedef enum _Ecore_X_MWM_Hint_Func | Ecore_X_MWM_Hint_Func
typedef enum _Ecore_X_MWM_Hint_Decor | Ecore_X_MWM_Hint_Decor
typedef enum _Ecore_X_MWM_Hint_Input | Ecore_X_MWM_Hint_Input
typedef struct _Ecore_X_Window_Attributes | Ecore_X_Window_Attributes
typedef short | Ecore_X_Randr_Refresh_Rate
typedef int | Ecore_X_Randr_Crtc_Gamma
typedef int | Ecore_X_Randr_Signal_Format
typedef int | Ecore_X_Randr_Signal_Property
typedef int | Ecore_X_Randr_Connector_Type
typedef struct _Ecore_X_Randr_Mode_Info | Ecore_X_Randr_Mode_Info
typedef struct _Ecore_X_Randr_Crtc_Gamma_Info | Ecore_X_Randr_Crtc_Gamma_Info
typedef Ecore_X_ID | Ecore_X_Picture
typedef Ecore_X_ID | Ecore_X_Region
typedef enum _Ecore_X_Region_Type | Ecore_X_Region_Type
typedef Ecore_X_ID | Ecore_X_Damage
typedef enum _Ecore_X_Damage_Report_Level | Ecore_X_Damage_Report_Level
typedef struct _Ecore_X_Event_Damage | Ecore_X_Event_Damage
typedef struct _Ecore_X_Event_Xkb | Ecore_X_Event_Xkb
typedef struct _Ecore_X_Image | Ecore_X_Image
typedef enum _Ecore_X_Gesture_Event_Mask | Ecore_X_Gesture_Event_Mask
typedef enum _Ecore_X_Gesture_Event_Type | Ecore_X_Gesture_Event_Type
typedef enum _Ecore_X_Gesture_Event_Subtype | Ecore_X_Gesture_Event_Subtype
typedef enum _Ecore_X_Gesture_Group_Subtype | Ecore_X_Gesture_Group_Subtype
typedef enum _Ecore_X_Gesture_Direction | Ecore_X_Gesture_Direction

## Enumerations
enum | _Ecore_X_GC_Value_Mask { ECORE_X_GC_VALUE_MASK_FUNCTION = (1L << 0), ECORE_X_GC_VALUE_MASK_PLANE_MASK = (1L << 1), ECORE_X_GC_VALUE_MASK_FOREGROUND = (1L << 2), ECORE_X_GC_VALUE_MASK_BACKGROUND = (1L << 3), ECORE_X_GC_VALUE_MASK_LINE_WIDTH = (1L << 4), ECORE_X_GC_VALUE_MASK_LINE_STYLE = (1L << 5), ECORE_X_GC_VALUE_MASK_CAP_STYLE = (1L << 6), ECORE_X_GC_VALUE_MASK_JOIN_STYLE = (1L << 7), ECORE_X_GC_VALUE_MASK_FILL_STYLE = (1L << 8), ECORE_X_GC_VALUE_MASK_FILL_RULE = (1L << 9), ECORE_X_GC_VALUE_MASK_TILE = (1L << 10), ECORE_X_GC_VALUE_MASK_STIPPLE = (1L << 11), ECORE_X_GC_VALUE_MASK_TILE_STIPPLE_ORIGIN_X = (1L << 12), ECORE_X_GC_VALUE_MASK_TILE_STIPPLE_ORIGIN_Y = (1L << 13), ECORE_X_GC_VALUE_MASK_FONT = (1L << 14), ECORE_X_GC_VALUE_MASK_SUBWINDOW_MODE = (1L << 15), ECORE_X_GC_VALUE_MASK_GRAPHICS_EXPOSURES = (1L << 16), ECORE_X_GC_VALUE_MASK_CLIP_ORIGIN_X = (1L << 17), ECORE_X_GC_VALUE_MASK_CLIP_ORIGIN_Y = (1L << 18), ECORE_X_GC_VALUE_MASK_CLIP_MASK = (1L << 19), ECORE_X_GC_VALUE_MASK_DASH_OFFSET = (1L << 20), ECORE_X_GC_VALUE_MASK_DASH_LIST = (1L << 21), ECORE_X_GC_VALUE_MASK_ARC_MODE = (1L << 22) }
enum | _Ecore_X_Composite_Update_Type { ECORE_X_COMPOSITE_UPDATE_AUTOMATIC, ECORE_X_COMPOSITE_UPDATE_MANUAL }
enum | _Ecore_X_Window_State { ECORE_X_WINDOW_STATE_UNKNOWN = 0, ECORE_X_WINDOW_STATE_ICONIFIED, ECORE_X_WINDOW_STATE_MODAL, ECORE_X_WINDOW_STATE_STICKY, ECORE_X_WINDOW_STATE_MAXIMIZED_VERT, ECORE_X_WINDOW_STATE_MAXIMIZED_HORZ, ECORE_X_WINDOW_STATE_SHADED, ECORE_X_WINDOW_STATE_SKIP_TASKBAR, ECORE_X_WINDOW_STATE_SKIP_PAGER, ECORE_X_WINDOW_STATE_HIDDEN, ECORE_X_WINDOW_STATE_FULLSCREEN, ECORE_X_WINDOW_STATE_ABOVE, ECORE_X_WINDOW_STATE_BELOW, ECORE_X_WINDOW_STATE_DEMANDS_ATTENTION }
| Defines the different states of the window of Ecore_X. More...
enum | _Ecore_X_Window_State_Action { ECORE_X_WINDOW_STATE_ACTION_REMOVE, ECORE_X_WINDOW_STATE_ACTION_ADD, ECORE_X_WINDOW_STATE_ACTION_TOGGLE }
enum | _Ecore_X_Window_Stack_Mode { ECORE_X_WINDOW_STACK_ABOVE = 0, ECORE_X_WINDOW_STACK_BELOW = 1, ECORE_X_WINDOW_STACK_TOP_IF = 2, ECORE_X_WINDOW_STACK_BOTTOM_IF = 3, ECORE_X_WINDOW_STACK_OPPOSITE = 4 }
enum | _Ecore_X_Randr_Orientation { ECORE_X_RANDR_ORIENTATION_ROT_0 = (1 << 0), ECORE_X_RANDR_ORIENTATION_ROT_90 = (1 << 1), ECORE_X_RANDR_ORIENTATION_ROT_180 = (1 << 2), ECORE_X_RANDR_ORIENTATION_ROT_270 = (1 << 3), ECORE_X_RANDR_ORIENTATION_FLIP_X = (1 << 4), ECORE_X_RANDR_ORIENTATION_FLIP_Y = (1 << 5) }
enum | _Ecore_X_Randr_Connection_Status { ECORE_X_RANDR_CONNECTION_STATUS_CONNECTED = 0, ECORE_X_RANDR_CONNECTION_STATUS_DISCONNECTED = 1, ECORE_X_RANDR_CONNECTION_STATUS_UNKNOWN = 2 }
enum | _Ecore_X_Randr_Output_Policy { ECORE_X_RANDR_OUTPUT_POLICY_ABOVE = 1, ECORE_X_RANDR_OUTPUT_POLICY_RIGHT = 2, ECORE_X_RANDR_OUTPUT_POLICY_BELOW = 3, ECORE_X_RANDR_OUTPUT_POLICY_LEFT = 4, ECORE_X_RANDR_OUTPUT_POLICY_CLONE = 5, ECORE_X_RANDR_OUTPUT_POLICY_NONE = 6, ECORE_X_RANDR_OUTPUT_POLICY_ASK = 7 }
enum | _Ecore_X_Randr_Relative_Alignment { ECORE_X_RANDR_RELATIVE_ALIGNMENT_NONE = 0, ECORE_X_RANDR_RELATIVE_ALIGNMENT_CENTER_REL = 1, ECORE_X_RANDR_RELATIVE_ALIGNMENT_CENTER_SCR = 2 }
enum | _Ecore_X_Render_Subpixel_Order { ECORE_X_RENDER_SUBPIXEL_ORDER_UNKNOWN = 0, ECORE_X_RENDER_SUBPIXEL_ORDER_HORIZONTAL_RGB = 1, ECORE_X_RENDER_SUBPIXEL_ORDER_HORIZONTAL_BGR = 2, ECORE_X_RENDER_SUBPIXEL_ORDER_VERTICAL_RGB = 3, ECORE_X_RENDER_SUBPIXEL_ORDER_VERTICAL_BGR = 4, ECORE_X_RENDER_SUBPIXEL_ORDER_NONE = 5 }
enum | _Ecore_X_Randr_Edid_Display_Interface_Type { ECORE_X_RANDR_EDID_DISPLAY_INTERFACE_UNDEFINED, ECORE_X_RANDR_EDID_DISPLAY_INTERFACE_DVI, ECORE_X_RANDR_EDID_DISPLAY_INTERFACE_HDMI_A, ECORE_X_RANDR_EDID_DISPLAY_INTERFACE_HDMI_B, ECORE_X_RANDR_EDID_DISPLAY_INTERFACE_MDDI, ECORE_X_RANDR_EDID_DISPLAY_INTERFACE_DISPLAY_PORT }
enum | _Ecore_X_Randr_Edid_Display_Colorscheme { ECORE_X_RANDR_EDID_DISPLAY_COLORSCHEME_MONOCHROME_GRAYSCALE = 0x00, ECORE_X_RANDR_EDID_DISPLAY_COLORSCHEME_COLOR_RGB = 0x08, ECORE_X_RANDR_EDID_DISPLAY_COLORSCHEME_COLOR_NON_RGB = 0x10, ECORE_X_RANDR_EDID_DISPLAY_COLORSCHEME_COLOR_UNDEFINED = 0x18, ECORE_X_RANDR_EDID_DISPLAY_COLORSCHEME_COLOR_RGB_4_4_4 = 0x444000, ECORE_X_RANDR_EDID_DISPLAY_COLORSCHEME_COLOR_RGB_YCRCB_4_4_4 = 0x444, ECORE_X_RANDR_EDID_DISPLAY_COLORSCHEME_COLOR_RGB_YCRCB_4_2_2 = 0x422 }
enum | _Ecore_X_Randr_Edid_Aspect_Ratio { ECORE_X_RANDR_EDID_ASPECT_RATIO_4_3 = 0x0, ECORE_X_RANDR_EDID_ASPECT_RATIO_16_9 = 0x1, ECORE_X_RANDR_EDID_ASPECT_RATIO_16_10 = 0x2, ECORE_X_RANDR_EDID_ASPECT_RATIO_5_4 = 0x4, ECORE_X_RANDR_EDID_ASPECT_RATIO_15_9 = 0x8 }
enum | _Ecore_X_Selection { ECORE_X_SELECTION_PRIMARY, ECORE_X_SELECTION_SECONDARY, ECORE_X_SELECTION_XDND, ECORE_X_SELECTION_CLIPBOARD, ECORE_X_SELECTION_OTHER }
enum | _Ecore_X_Event_Mode { ECORE_X_EVENT_MODE_NORMAL, ECORE_X_EVENT_MODE_WHILE_GRABBED, ECORE_X_EVENT_MODE_GRAB, ECORE_X_EVENT_MODE_UNGRAB }
enum | _Ecore_X_Event_Detail { ECORE_X_EVENT_DETAIL_ANCESTOR, ECORE_X_EVENT_DETAIL_VIRTUAL, ECORE_X_EVENT_DETAIL_INFERIOR, ECORE_X_EVENT_DETAIL_NON_LINEAR, ECORE_X_EVENT_DETAIL_NON_LINEAR_VIRTUAL, ECORE_X_EVENT_DETAIL_POINTER, ECORE_X_EVENT_DETAIL_POINTER_ROOT, ECORE_X_EVENT_DETAIL_DETAIL_NONE }
enum | _Ecore_X_Event_Mask { ECORE_X_EVENT_MASK_NONE = 0L, ECORE_X_EVENT_MASK_KEY_DOWN = (1L << 0), ECORE_X_EVENT_MASK_KEY_UP = (1L << 1), ECORE_X_EVENT_MASK_MOUSE_DOWN = (1L << 2), ECORE_X_EVENT_MASK_MOUSE_UP = (1L << 3), ECORE_X_EVENT_MASK_MOUSE_IN = (1L << 4), ECORE_X_EVENT_MASK_MOUSE_OUT = (1L << 5), ECORE_X_EVENT_MASK_MOUSE_MOVE = (1L << 6), ECORE_X_EVENT_MASK_WINDOW_DAMAGE = (1L << 15), ECORE_X_EVENT_MASK_WINDOW_VISIBILITY = (1L << 16), ECORE_X_EVENT_MASK_WINDOW_CONFIGURE = (1L << 17), ECORE_X_EVENT_MASK_WINDOW_RESIZE_MANAGE = (1L << 18), ECORE_X_EVENT_MASK_WINDOW_MANAGE = (1L << 19), ECORE_X_EVENT_MASK_WINDOW_CHILD_CONFIGURE = (1L << 20), ECORE_X_EVENT_MASK_WINDOW_FOCUS_CHANGE = (1L << 21), ECORE_X_EVENT_MASK_WINDOW_PROPERTY = (1L << 22), ECORE_X_EVENT_MASK_WINDOW_COLORMAP = (1L << 23), ECORE_X_EVENT_MASK_WINDOW_GRAB = (1L << 24), ECORE_X_EVENT_MASK_MOUSE_WHEEL = (1L << 29), ECORE_X_EVENT_MASK_WINDOW_FOCUS_IN = (1L << 30), ECORE_X_EVENT_MASK_WINDOW_FOCUS_OUT = (1L << 31) }
enum | _Ecore_X_Gravity { ECORE_X_GRAVITY_FORGET = 0, ECORE_X_GRAVITY_UNMAP = 0, ECORE_X_GRAVITY_NW = 1, ECORE_X_GRAVITY_N = 2, ECORE_X_GRAVITY_NE = 3, ECORE_X_GRAVITY_W = 4, ECORE_X_GRAVITY_CENTER = 5, ECORE_X_GRAVITY_E = 6, ECORE_X_GRAVITY_SW = 7, ECORE_X_GRAVITY_S = 8, ECORE_X_GRAVITY_SE = 9, ECORE_X_GRAVITY_STATIC = 10 }
enum | _Ecore_X_Shape_Type { ECORE_X_SHAPE_BOUNDING, ECORE_X_SHAPE_CLIP, ECORE_X_SHAPE_INPUT }
enum | _Ecore_X_Mapping_Type { ECORE_X_MAPPING_MODIFIER, ECORE_X_MAPPING_KEYBOARD, ECORE_X_MAPPING_MOUSE }
enum | _Ecore_X_Randr_Property_Change { ECORE_X_RANDR_PROPERTY_CHANGE_ADD, ECORE_X_RANDR_PROPERTY_CHANGE_DEL }
enum | _Ecore_X_Netwm_Direction { ECORE_X_NETWM_DIRECTION_SIZE_TL = 0, ECORE_X_NETWM_DIRECTION_SIZE_T = 1, ECORE_X_NETWM_DIRECTION_SIZE_TR = 2, ECORE_X_NETWM_DIRECTION_SIZE_R = 3, ECORE_X_NETWM_DIRECTION_SIZE_BR = 4, ECORE_X_NETWM_DIRECTION_SIZE_B = 5, ECORE_X_NETWM_DIRECTION_SIZE_BL = 6, ECORE_X_NETWM_DIRECTION_SIZE_L = 7, ECORE_X_NETWM_DIRECTION_MOVE = 8, ECORE_X_NETWM_DIRECTION_CANCEL = 11 }
enum | _Ecore_X_Error_Code { ECORE_X_ERROR_CODE_SUCCESS = 0, ECORE_X_ERROR_CODE_BAD_REQUEST = 1, ECORE_X_ERROR_CODE_BAD_VALUE = 2, ECORE_X_ERROR_CODE_BAD_WINDOW = 3, ECORE_X_ERROR_CODE_BAD_PIXMAP = 4, ECORE_X_ERROR_CODE_BAD_ATOM = 5, ECORE_X_ERROR_CODE_BAD_CURSOR = 6, ECORE_X_ERROR_CODE_BAD_FONT = 7, ECORE_X_ERROR_CODE_BAD_MATCH = 8, ECORE_X_ERROR_CODE_BAD_DRAWABLE = 9, ECORE_X_ERROR_CODE_BAD_ACCESS = 10, ECORE_X_ERROR_CODE_BAD_ALLOC = 11, ECORE_X_ERROR_CODE_BAD_COLOR = 12, ECORE_X_ERROR_CODE_BAD_GC = 13, ECORE_X_ERROR_CODE_BAD_ID_CHOICE = 14, ECORE_X_ERROR_CODE_BAD_NAME = 15, ECORE_X_ERROR_CODE_BAD_LENGTH = 16, ECORE_X_ERROR_CODE_BAD_IMPLEMENTATION = 17 }
| Defines the error codes of Ecore_X which wraps the X Window Systems protocol's errors. More...
enum | _Ecore_X_Dpms_Mode { ECORE_X_DPMS_MODE_ON = 0, ECORE_X_DPMS_MODE_STANDBY = 1, ECORE_X_DPMS_MODE_SUSPEND = 2, ECORE_X_DPMS_MODE_OFF = 3 }
enum | Ecore_X_Owner_Change_Reason { ECORE_X_OWNER_CHANGE_REASON_NEW_OWNER, ECORE_X_OWNER_CHANGE_REASON_DESTROY, ECORE_X_OWNER_CHANGE_REASON_CLOSE }
enum | Ecore_X_Present_Event_Mask { ECORE_X_PRESENT_EVENT_MASK_NO_EVENT = 0, ECORE_X_PRESENT_EVENT_MASK_CONFIGURE_NOTIFY = 1, ECORE_X_PRESENT_EVENT_MASK_COMPLETE_NOTIFY = 2, ECORE_X_PRESENT_EVENT_MASK_IDLE_NOTIFY = 4 }
enum | Ecore_X_Present_Complete_Mode { ECORE_X_PRESENT_COMPLETE_MODE_COPY, ECORE_X_PRESENT_COMPLETE_MODE_FLIP, ECORE_X_PRESENT_COMPLETE_MODE_SKIP }
enum | _Ecore_X_WM_Protocol { ECORE_X_WM_PROTOCOL_DELETE_REQUEST, ECORE_X_WM_PROTOCOL_TAKE_FOCUS, ECORE_X_NET_WM_PROTOCOL_PING, ECORE_X_NET_WM_PROTOCOL_SYNC_REQUEST, ECORE_X_WM_PROTOCOL_NUM }
enum | _Ecore_X_Window_Input_Mode { ECORE_X_WINDOW_INPUT_MODE_NONE, ECORE_X_WINDOW_INPUT_MODE_PASSIVE, ECORE_X_WINDOW_INPUT_MODE_ACTIVE_LOCAL, ECORE_X_WINDOW_INPUT_MODE_ACTIVE_GLOBAL }
enum | _Ecore_X_Window_State_Hint { ECORE_X_WINDOW_STATE_HINT_NONE = -1, ECORE_X_WINDOW_STATE_HINT_WITHDRAWN, ECORE_X_WINDOW_STATE_HINT_NORMAL, ECORE_X_WINDOW_STATE_HINT_ICONIC }
| Defines the different state hint of the window of Ecore_X. More...
enum | _Ecore_X_Window_Type { ECORE_X_WINDOW_TYPE_UNKNOWN = 0, ECORE_X_WINDOW_TYPE_DESKTOP, ECORE_X_WINDOW_TYPE_DOCK, ECORE_X_WINDOW_TYPE_TOOLBAR, ECORE_X_WINDOW_TYPE_MENU, ECORE_X_WINDOW_TYPE_UTILITY, ECORE_X_WINDOW_TYPE_SPLASH, ECORE_X_WINDOW_TYPE_DIALOG, ECORE_X_WINDOW_TYPE_NORMAL, ECORE_X_WINDOW_TYPE_DROPDOWN_MENU, ECORE_X_WINDOW_TYPE_POPUP_MENU, ECORE_X_WINDOW_TYPE_TOOLTIP, ECORE_X_WINDOW_TYPE_NOTIFICATION, ECORE_X_WINDOW_TYPE_COMBO, ECORE_X_WINDOW_TYPE_DND }
enum | _Ecore_X_Action { ECORE_X_ACTION_MOVE, ECORE_X_ACTION_RESIZE, ECORE_X_ACTION_MINIMIZE, ECORE_X_ACTION_SHADE, ECORE_X_ACTION_STICK, ECORE_X_ACTION_MAXIMIZE_HORZ, ECORE_X_ACTION_MAXIMIZE_VERT, ECORE_X_ACTION_FULLSCREEN, ECORE_X_ACTION_CHANGE_DESKTOP, ECORE_X_ACTION_CLOSE, ECORE_X_ACTION_ABOVE, ECORE_X_ACTION_BELOW }
enum | _Ecore_X_Window_Configure_Mask { ECORE_X_WINDOW_CONFIGURE_MASK_X = (1 << 0), ECORE_X_WINDOW_CONFIGURE_MASK_Y = (1 << 1), ECORE_X_WINDOW_CONFIGURE_MASK_W = (1 << 2), ECORE_X_WINDOW_CONFIGURE_MASK_H = (1 << 3), ECORE_X_WINDOW_CONFIGURE_MASK_BORDER_WIDTH = (1 << 4), ECORE_X_WINDOW_CONFIGURE_MASK_SIBLING = (1 << 5), ECORE_X_WINDOW_CONFIGURE_MASK_STACK_MODE = (1 << 6) }
enum | _Ecore_X_Virtual_Keyboard_State { ECORE_X_VIRTUAL_KEYBOARD_STATE_UNKNOWN = 0, ECORE_X_VIRTUAL_KEYBOARD_STATE_OFF, ECORE_X_VIRTUAL_KEYBOARD_STATE_ON, ECORE_X_VIRTUAL_KEYBOARD_STATE_ALPHA, ECORE_X_VIRTUAL_KEYBOARD_STATE_NUMERIC, ECORE_X_VIRTUAL_KEYBOARD_STATE_PIN, ECORE_X_VIRTUAL_KEYBOARD_STATE_PHONE_NUMBER, ECORE_X_VIRTUAL_KEYBOARD_STATE_HEX, ECORE_X_VIRTUAL_KEYBOARD_STATE_TERMINAL, ECORE_X_VIRTUAL_KEYBOARD_STATE_PASSWORD, ECORE_X_VIRTUAL_KEYBOARD_STATE_IP, ECORE_X_VIRTUAL_KEYBOARD_STATE_HOST, ECORE_X_VIRTUAL_KEYBOARD_STATE_FILE, ECORE_X_VIRTUAL_KEYBOARD_STATE_URL, ECORE_X_VIRTUAL_KEYBOARD_STATE_KEYPAD, ECORE_X_VIRTUAL_KEYBOARD_STATE_J2ME }
enum | _Ecore_X_Illume_Mode { ECORE_X_ILLUME_MODE_UNKNOWN = 0, ECORE_X_ILLUME_MODE_SINGLE, ECORE_X_ILLUME_MODE_DUAL_TOP, ECORE_X_ILLUME_MODE_DUAL_LEFT }
enum | _Ecore_X_Illume_Quickpanel_State { ECORE_X_ILLUME_QUICKPANEL_STATE_UNKNOWN = 0, ECORE_X_ILLUME_QUICKPANEL_STATE_OFF, ECORE_X_ILLUME_QUICKPANEL_STATE_ON }
enum | _Ecore_X_Illume_Indicator_State { ECORE_X_ILLUME_INDICATOR_STATE_UNKNOWN = 0, ECORE_X_ILLUME_INDICATOR_STATE_OFF, ECORE_X_ILLUME_INDICATOR_STATE_ON }
enum | _Ecore_X_Illume_Clipboard_State { ECORE_X_ILLUME_CLIPBOARD_STATE_UNKNOWN = 0, ECORE_X_ILLUME_CLIPBOARD_STATE_OFF, ECORE_X_ILLUME_CLIPBOARD_STATE_ON }
enum | _Ecore_X_Illume_Indicator_Opacity_Mode { ECORE_X_ILLUME_INDICATOR_OPACITY_UNKNOWN = 0, ECORE_X_ILLUME_INDICATOR_OPAQUE, ECORE_X_ILLUME_INDICATOR_TRANSLUCENT, ECORE_X_ILLUME_INDICATOR_TRANSPARENT }
enum | _Ecore_X_Illume_Indicator_Type_Mode { ECORE_X_ILLUME_INDICATOR_TYPE_UNKNOWN = 0, ECORE_X_ILLUME_INDICATOR_TYPE_1, ECORE_X_ILLUME_INDICATOR_TYPE_2, ECORE_X_ILLUME_INDICATOR_TYPE_3 }
enum | _Ecore_X_Illume_Window_State { ECORE_X_ILLUME_WINDOW_STATE_NORMAL = 0, ECORE_X_ILLUME_WINDOW_STATE_FLOATING }
enum | _Ecore_X_MWM_Hint_Func { ECORE_X_MWM_HINT_FUNC_ALL = (1 << 0), ECORE_X_MWM_HINT_FUNC_RESIZE = (1 << 1), ECORE_X_MWM_HINT_FUNC_MOVE = (1 << 2), ECORE_X_MWM_HINT_FUNC_MINIMIZE = (1 << 3), ECORE_X_MWM_HINT_FUNC_MAXIMIZE = (1 << 4), ECORE_X_MWM_HINT_FUNC_CLOSE = (1 << 5) }
enum | _Ecore_X_MWM_Hint_Decor { ECORE_X_MWM_HINT_DECOR_ALL = (1 << 0), ECORE_X_MWM_HINT_DECOR_BORDER = (1 << 1), ECORE_X_MWM_HINT_DECOR_RESIZEH = (1 << 2), ECORE_X_MWM_HINT_DECOR_TITLE = (1 << 3), ECORE_X_MWM_HINT_DECOR_MENU = (1 << 4), ECORE_X_MWM_HINT_DECOR_MINIMIZE = (1 << 5), ECORE_X_MWM_HINT_DECOR_MAXIMIZE = (1 << 6) }
enum | _Ecore_X_MWM_Hint_Input { ECORE_X_MWM_HINT_INPUT_MODELESS = 0, ECORE_X_MWM_HINT_INPUT_PRIMARY_APPLICATION_MODAL = 1, ECORE_X_MWM_HINT_INPUT_SYSTEM_MODAL = 2, ECORE_X_MWM_HINT_INPUT_FULL_APPLICATION_MODAL = 3 }
enum | _Ecore_X_Region_Type { ECORE_X_REGION_BOUNDING, ECORE_X_REGION_CLIP }
enum | _Ecore_X_Damage_Report_Level { ECORE_X_DAMAGE_REPORT_RAW_RECTANGLES, ECORE_X_DAMAGE_REPORT_DELTA_RECTANGLES, ECORE_X_DAMAGE_REPORT_BOUNDING_BOX, ECORE_X_DAMAGE_REPORT_NON_EMPTY }
enum | _Ecore_X_Gesture_Event_Mask { ECORE_X_GESTURE_EVENT_MASK_NONE = 0L, ECORE_X_GESTURE_EVENT_MASK_FLICK = (1L << 0), ECORE_X_GESTURE_EVENT_MASK_PAN = (1L << 1), ECORE_X_GESTURE_EVENT_MASK_PINCHROTATION = (1L << 2), ECORE_X_GESTURE_EVENT_MASK_TAP = (1L << 3), ECORE_X_GESTURE_EVENT_MASK_TAPNHOLD = (1L << 4), ECORE_X_GESTURE_EVENT_MASK_HOLD = (1L << 5), ECORE_X_GESTURE_EVENT_MASK_GROUP = (1L << 6) }
enum | _Ecore_X_Gesture_Event_Type { ECORE_X_GESTURE_EVENT_FLICK, ECORE_X_GESTURE_EVENT_PAN, ECORE_X_GESTURE_EVENT_PINCHROTATION, ECORE_X_GESTURE_EVENT_TAP, ECORE_X_GESTURE_EVENT_TAPNHOLD, ECORE_X_GESTURE_EVENT_HOLD, ECORE_X_GESTURE_EVENT_GROUP }
enum | _Ecore_X_Gesture_Event_Subtype { ECORE_X_GESTURE_END, ECORE_X_GESTURE_BEGIN, ECORE_X_GESTURE_UPDATE, ECORE_X_GESTURE_DONE }
enum | _Ecore_X_Gesture_Group_Subtype { ECORE_X_GESTURE_GROUP_REMOVED, ECORE_X_GESTURE_GROUP_ADDED, ECORE_X_GESTURE_GROUP_CURRENT }
enum | _Ecore_X_Gesture_Direction { ECORE_X_GESTURE_NORTHWARD, ECORE_X_GESTURE_NORTHEASTWARD, ECORE_X_GESTURE_EASTWARD, ECORE_X_GESTURE_SOUTHEASTWARD, ECORE_X_GESTURE_SOUTHWARD, ECORE_X_GESTURE_SOUTHWESTWARD, ECORE_X_GESTURE_WESTWARD, ECORE_X_GESTURE_NORTHWESTWARD }

## Functions
EAPI int | ecore_x_init (const char *name)
| Initialize the X display connection to the given display. More...
EAPI int | ecore_x_shutdown (void)
| Shuts down the Ecore X library. More...
EAPI int | ecore_x_disconnect (void)
| Shuts down the Ecore X library. More...
EAPI Ecore_X_Display * | ecore_x_display_get (void)
| Retrieves the Ecore_X_Display handle used for the current X connection. More...
EAPI Ecore_X_Connection * | ecore_x_connection_get (void)
EAPI int | ecore_x_fd_get (void)
| Retrieves the X display file descriptor. More...
EAPI Ecore_X_Screen * | ecore_x_default_screen_get (void)
| Retrieves the Ecore_X_Screen handle used for the current X connection. More...
EAPI void | ecore_x_screen_size_get (const Ecore_X_Screen *screen, int *w, int *h)
| Retrieves the size of an Ecore_X_Screen. More...
EAPI int | ecore_x_screen_count_get (void)
| Retrieves the number of screens. More...
EAPI int | ecore_x_screen_index_get (const Ecore_X_Screen *screen)
| Retrieves the index number of the given screen. More...
EAPI Ecore_X_Screen * | ecore_x_screen_get (int index)
| Retrieves the screen based on index number. More...
EAPI void | ecore_x_double_click_time_set (double t)
| Sets the timeout for a double and triple clicks to be flagged. More...
EAPI double | ecore_x_double_click_time_get (void)
| Retrieves the double and triple click flag timeout. More...
EAPI void | ecore_x_flush (void)
| Sends all X commands in the X Display buffer.
EAPI void | ecore_x_sync (void)
| Flushes the command buffer and waits until all requests have been processed by the server.
EAPI void | ecore_x_killall (Ecore_X_Window root)
| Kill all clients with subwindows under a given window. More...
EAPI void | ecore_x_kill (Ecore_X_Window win)
| Kill a specific client. More...
EAPI int | ecore_x_dpi_get (void)
| Return the screen DPI. More...
EAPI Eina_Bool | ecore_x_bell (int percent)
| Invoke the standard system beep to alert users. More...
EAPI unsigned int | ecore_x_visual_id_get (Ecore_X_Visual visual)
| Retrieve the Visual ID from a given Visual. More...
EAPI Ecore_X_Visual | ecore_x_default_visual_get (Ecore_X_Display *disp, Ecore_X_Screen *screen)
| Retrieve the default Visual. More...
EAPI Ecore_X_Colormap | ecore_x_default_colormap_get (Ecore_X_Display *disp, Ecore_X_Screen *screen)
| Retrieve the default Colormap. More...
EAPI int | ecore_x_default_depth_get (Ecore_X_Display *disp, Ecore_X_Screen *screen)
| Retrieve the default depth. More...
EAPI Ecore_X_Time | ecore_x_current_time_get (void)
| Return the last event time.
EAPI void | ecore_x_error_handler_set (void(*func)(void *data), const void *data)
| Set the error handler. More...
EAPI void | ecore_x_io_error_handler_set (void(*func)(void *data), const void *data)
| Set the I/O error handler. More...
EAPI int | ecore_x_error_request_get (void)
| Get the request code that caused the error. More...
EAPI int | ecore_x_error_code_get (void)
| Get the error code from the error. More...
EAPI Ecore_X_ID | ecore_x_error_resource_id_get (void)
| Get the resource id that caused the error. More...
EAPI void | ecore_x_event_mask_set (Ecore_X_Window w, Ecore_X_Event_Mask mask)
EAPI void | ecore_x_event_mask_unset (Ecore_X_Window w, Ecore_X_Event_Mask mask)
EAPI Eina_Bool | ecore_x_selection_notify_send (Ecore_X_Window requestor, Ecore_X_Atom selection, Ecore_X_Atom target, Ecore_X_Atom property, Ecore_X_Time time)
EAPI Eina_Bool | ecore_x_selection_primary_set (Ecore_X_Window w, const void *data, int size)
| Claim ownership of the PRIMARY selection and set its data. More...
EAPI Eina_Bool | ecore_x_selection_primary_clear (void)
| Release ownership of the primary selection. More...
EAPI Eina_Bool | ecore_x_selection_secondary_set (Ecore_X_Window w, const void *data, int size)
| Claim ownership of the SECONDARY selection and set its data. More...
EAPI Eina_Bool | ecore_x_selection_secondary_clear (void)
| Release ownership of the secondary selection. More...
EAPI Eina_Bool | ecore_x_selection_xdnd_set (Ecore_X_Window w, const void *data, int size)
| Claim ownership of the XDND selection and set its data. More...
EAPI Eina_Bool | ecore_x_selection_xdnd_clear (void)
| Release ownership of the XDND selection. More...
EAPI Eina_Bool | ecore_x_selection_clipboard_set (Ecore_X_Window w, const void *data, int size)
| Claim ownership of the CLIPBOARD selection and set its data. More...
EAPI Eina_Bool | ecore_x_selection_clipboard_clear (void)
| Release ownership of the clipboard selection. More...
EAPI void | ecore_x_selection_primary_request (Ecore_X_Window w, const char *target)
EAPI void | ecore_x_selection_secondary_request (Ecore_X_Window w, const char *target)
EAPI void | ecore_x_selection_xdnd_request (Ecore_X_Window w, const char *target)
EAPI void | ecore_x_selection_clipboard_request (Ecore_X_Window w, const char *target)
EAPI Eina_Bool | ecore_x_selection_convert (Ecore_X_Atom selection, Ecore_X_Atom target, void **data_ret, int *len, Ecore_X_Atom *targprop, int *targsize)
EAPI void | ecore_x_selection_converter_add (char *target, Eina_Bool(*func)(char *target, void *data, int size, void **data_ret, int *size_ret, Ecore_X_Atom *, int *))
EAPI void | ecore_x_selection_converter_atom_add (Ecore_X_Atom target, Eina_Bool(*func)(char *target, void *data, int size, void **data_ret, int *size_ret, Ecore_X_Atom *tprop, int *tsize))
EAPI void | ecore_x_selection_converter_del (char *target)
EAPI void | ecore_x_selection_converter_atom_del (Ecore_X_Atom target)
EAPI void | ecore_x_selection_parser_add (const char *target, void *(*func)(const char *target, void *data, int size, int format))
EAPI void | ecore_x_selection_parser_del (const char *target)
EAPI void | ecore_x_selection_owner_set (Ecore_X_Window win, Ecore_X_Atom atom, Ecore_X_Time tm)
| Change the owner and last-change time for the specified selection. More...
EAPI Ecore_X_Window | ecore_x_selection_owner_get (Ecore_X_Atom atom)
| Return the window that currently owns the specified selection. More...
EAPI Eina_Bool | ecore_x_selection_converter_text (char *target, void *data, int size, void **data_ret, int *size_ret, Ecore_X_Atom *targprop, int *s)
EAPI void | ecore_x_dnd_aware_set (Ecore_X_Window win, Eina_Bool on)
EAPI int | ecore_x_dnd_version_get (Ecore_X_Window win)
EAPI Eina_Bool | ecore_x_dnd_type_isset (Ecore_X_Window win, const char *type)
EAPI void | ecore_x_dnd_type_set (Ecore_X_Window win, const char *type, Eina_Bool on)
EAPI void | ecore_x_dnd_types_set (Ecore_X_Window win, const char **types, unsigned int num_types)
EAPI void | ecore_x_dnd_actions_set (Ecore_X_Window win, Ecore_X_Atom *actions, unsigned int num_actions)
EAPI Eina_Bool | ecore_x_dnd_begin (Ecore_X_Window source, unsigned char *data, int size)
EAPI Eina_Bool | ecore_x_dnd_drop (void)
EAPI Eina_Bool | ecore_x_dnd_self_begin (Ecore_X_Window source, unsigned char *data, int size)
EAPI Eina_Bool | ecore_x_dnd_self_drop (void)
EAPI void | ecore_x_dnd_send_status (Eina_Bool will_accept, Eina_Bool suppress, Ecore_X_Rectangle rectangle, Ecore_X_Atom action)
EAPI void | ecore_x_dnd_send_finished (void)
EAPI void | ecore_x_dnd_source_action_set (Ecore_X_Atom action)
EAPI Ecore_X_Atom | ecore_x_dnd_source_action_get (void)
EAPI void | ecore_x_dnd_callback_pos_update_set (void(*cb)(void *, Ecore_X_Xdnd_Position *data), const void *data)
| The DND position update cb is called Ecore_X sends a DND position to a client. More...
EAPI Eina_Bool | ecore_x_dnd_abort (Ecore_X_Window xwin_source)
EAPI Ecore_X_Window | ecore_x_window_full_new (Ecore_X_Window parent, int x, int y, int w, int h, Ecore_X_Visual *visual, Ecore_X_Colormap colormap, int depth, Eina_Bool override)
EAPI Ecore_X_Window | ecore_x_window_new (Ecore_X_Window parent, int x, int y, int w, int h)
| Creates a new window. More...
EAPI Ecore_X_Window | ecore_x_window_override_new (Ecore_X_Window parent, int x, int y, int w, int h)
| Creates a window with the override redirect attribute set to `True`. More...
EAPI int | ecore_x_window_argb_get (Ecore_X_Window win)
EAPI Ecore_X_Window | ecore_x_window_manager_argb_new (Ecore_X_Window parent, int x, int y, int w, int h)
| Creates a new window. More...
EAPI Ecore_X_Window | ecore_x_window_argb_new (Ecore_X_Window parent, int x, int y, int w, int h)
| Creates a new window. More...
EAPI Ecore_X_Window | ecore_x_window_override_argb_new (Ecore_X_Window parent, int x, int y, int w, int h)
| Creates a window with the override redirect attribute set to `True`. More...
EAPI Ecore_X_Window | ecore_x_window_permanent_new (Ecore_X_Window parent, Ecore_X_Atom unique_atom)
EAPI Ecore_X_Window | ecore_x_window_input_new (Ecore_X_Window parent, int x, int y, int w, int h)
| Creates a new input window. More...
EAPI void | ecore_x_window_configure (Ecore_X_Window win, Ecore_X_Window_Configure_Mask mask, int x, int y, int w, int h, int border_width, Ecore_X_Window sibling, int stack_mode)
EAPI void | ecore_x_window_cursor_set (Ecore_X_Window win, Ecore_X_Cursor c)
EAPI void | ecore_x_window_free (Ecore_X_Window win)
| Deletes the given window. More...
EAPI void | ecore_x_window_ignore_set (Ecore_X_Window win, int ignore)
| Set if a window should be ignored. More...
EAPI Ecore_X_Window * | ecore_x_window_ignore_list (int *num)
| Get the ignore list. More...
EAPI void | ecore_x_window_delete_request_send (Ecore_X_Window win)
| Sends a delete request to the given window. More...
EAPI void | ecore_x_window_show (Ecore_X_Window win)
| Shows a window. More...
EAPI void | ecore_x_window_hide (Ecore_X_Window win)
| Hides a window. More...
EAPI void | ecore_x_window_move (Ecore_X_Window win, int x, int y)
| Moves a window to the position `x`, `y`. More...
EAPI void | ecore_x_window_resize (Ecore_X_Window win, int w, int h)
| Resizes a window. More...
EAPI void | ecore_x_window_move_resize (Ecore_X_Window win, int x, int y, int w, int h)
| Moves and resizes a window. More...
EAPI void | ecore_x_window_focus (Ecore_X_Window win)
| Sets the focus to the window `win`. More...
EAPI void | ecore_x_window_focus_at_time (Ecore_X_Window win, Ecore_X_Time t)
| Sets the focus to the given window at a specific time. More...
EAPI Ecore_X_Window | ecore_x_window_focus_get (void)
| gets the window that has focus. More...
EAPI void | ecore_x_window_raise (Ecore_X_Window win)
| Raises the given window. More...
EAPI void | ecore_x_window_lower (Ecore_X_Window win)
| Lowers the given window. More...
EAPI void | ecore_x_window_reparent (Ecore_X_Window win, Ecore_X_Window new_parent, int x, int y)
| Moves a window to within another window at a given position. More...
EAPI void | ecore_x_window_size_get (Ecore_X_Window win, int *w, int *h)
| Retrieves the size of the given window. More...
EAPI void | ecore_x_window_geometry_get (Ecore_X_Window win, int *x, int *y, int *w, int *h)
| Retrieves the geometry of the given window. More...
EAPI int | ecore_x_window_border_width_get (Ecore_X_Window win)
| Retrieves the width of the border of the given window. More...
EAPI void | ecore_x_window_border_width_set (Ecore_X_Window win, int width)
| Sets the width of the border of the given window. More...
EAPI int | ecore_x_window_depth_get (Ecore_X_Window win)
| Retrieves the depth of the given window. More...
EAPI void | ecore_x_window_cursor_show (Ecore_X_Window win, Eina_Bool show)
| Show the cursor on a window of type Ecore_X_Window. More...
EAPI void | ecore_x_window_defaults_set (Ecore_X_Window win)
| Sets the default properties for the given window. More...
EAPI int | ecore_x_window_visible_get (Ecore_X_Window win)
| Finds out whether the given window is currently visible. More...
EAPI Ecore_X_Window | ecore_x_window_shadow_tree_at_xy_with_skip_get (Ecore_X_Window base, int x, int y, Ecore_X_Window *skip, int skip_num)
| Retrieves the top, visible window at the given location, but skips the windows in the list. More...
EAPI Ecore_X_Window | ecore_x_window_shadow_parent_get (Ecore_X_Window root, Ecore_X_Window win)
| Retrieves the parent window a given window has. More...
EAPI void | ecore_x_window_shadow_tree_flush (void)
| Flushes the window shadow tree so nothing is stored.
EAPI Ecore_X_Window | ecore_x_window_root_get (Ecore_X_Window win)
| Retrieves the root window a given window is on. More...
EAPI Ecore_X_Window | ecore_x_window_at_xy_get (int x, int y)
| Retrieves the top, visible window at the given location. More...
EAPI Ecore_X_Window | ecore_x_window_at_xy_with_skip_get (int x, int y, Ecore_X_Window *skip, int skip_num)
| Retrieves the top, visible window at the given location, but skips the windows in the list. More...
EAPI Ecore_X_Window | ecore_x_window_at_xy_begin_get (Ecore_X_Window begin, int x, int y)
EAPI Ecore_X_Window | ecore_x_window_parent_get (Ecore_X_Window win)
| Retrieves the parent window of the given window. More...
EAPI void | ecore_x_window_background_color_set (Ecore_X_Window win, unsigned short r, unsigned short g, unsigned short b)
| Sets the background color of the given window. More...
EAPI void | ecore_x_window_gravity_set (Ecore_X_Window win, Ecore_X_Gravity grav)
EAPI void | ecore_x_window_pixel_gravity_set (Ecore_X_Window win, Ecore_X_Gravity grav)
EAPI void | ecore_x_window_pixmap_set (Ecore_X_Window win, Ecore_X_Pixmap pmap)
EAPI void | ecore_x_window_area_clear (Ecore_X_Window win, int x, int y, int w, int h)
EAPI void | ecore_x_window_area_expose (Ecore_X_Window win, int x, int y, int w, int h)
EAPI void | ecore_x_window_override_set (Ecore_X_Window win, Eina_Bool override)
EAPI void | ecore_x_window_prop_card32_set (Ecore_X_Window win, Ecore_X_Atom atom, unsigned int *val, unsigned int num)
EAPI int | ecore_x_window_prop_card32_get (Ecore_X_Window win, Ecore_X_Atom atom, unsigned int *val, unsigned int len)
EAPI int | ecore_x_window_prop_card32_list_get (Ecore_X_Window win, Ecore_X_Atom atom, unsigned int **plst)
EAPI void | ecore_x_window_prop_xid_set (Ecore_X_Window win, Ecore_X_Atom atom, Ecore_X_Atom type, Ecore_X_ID *lst, unsigned int num)
EAPI int | ecore_x_window_prop_xid_get (Ecore_X_Window win, Ecore_X_Atom atom, Ecore_X_Atom type, Ecore_X_ID *lst, unsigned int len)
EAPI int | ecore_x_window_prop_xid_list_get (Ecore_X_Window win, Ecore_X_Atom atom, Ecore_X_Atom type, Ecore_X_ID **plst)
EAPI void | ecore_x_window_prop_xid_list_change (Ecore_X_Window win, Ecore_X_Atom atom, Ecore_X_Atom type, Ecore_X_ID item, int op)
EAPI void | ecore_x_window_prop_atom_set (Ecore_X_Window win, Ecore_X_Atom atom, Ecore_X_Atom *val, unsigned int num)
EAPI int | ecore_x_window_prop_atom_get (Ecore_X_Window win, Ecore_X_Atom atom, Ecore_X_Atom *val, unsigned int len)
EAPI int | ecore_x_window_prop_atom_list_get (Ecore_X_Window win, Ecore_X_Atom atom, Ecore_X_Atom **plst)
EAPI void | ecore_x_window_prop_atom_list_change (Ecore_X_Window win, Ecore_X_Atom atom, Ecore_X_Atom item, int op)
EAPI void | ecore_x_window_prop_window_set (Ecore_X_Window win, Ecore_X_Atom atom, Ecore_X_Window *val, unsigned int num)
EAPI int | ecore_x_window_prop_window_get (Ecore_X_Window win, Ecore_X_Atom atom, Ecore_X_Window *val, unsigned int len)
EAPI int | ecore_x_window_prop_window_list_get (Ecore_X_Window win, Ecore_X_Atom atom, Ecore_X_Window **plst)
EAPI Ecore_X_Atom | ecore_x_window_prop_any_type (void)
EAPI void | ecore_x_window_prop_property_set (Ecore_X_Window win, Ecore_X_Atom type, Ecore_X_Atom format, int size, void *data, int number)
| Set a property of Ecore_X_Window. More...
EAPI int | ecore_x_window_prop_property_get (Ecore_X_Window win, Ecore_X_Atom property, Ecore_X_Atom type, int size, unsigned char **data, int *num)
| Get a property of Ecore_X_Window. More...
EAPI void | ecore_x_window_prop_property_del (Ecore_X_Window win, Ecore_X_Atom property)
EAPI Ecore_X_Atom * | ecore_x_window_prop_list (Ecore_X_Window win, int *num_ret)
EAPI void | ecore_x_window_prop_string_set (Ecore_X_Window win, Ecore_X_Atom type, const char *str)
| Set a window string property. More...
EAPI char * | ecore_x_window_prop_string_get (Ecore_X_Window win, Ecore_X_Atom type)
| Get a window string property. More...
EAPI Eina_Bool | ecore_x_window_prop_protocol_isset (Ecore_X_Window win, Ecore_X_WM_Protocol protocol)
EAPI Ecore_X_WM_Protocol * | ecore_x_window_prop_protocol_list_get (Ecore_X_Window win, int *num_ret)
| Get a array containing the protocols of win. More...
EAPI void | ecore_x_window_shape_mask_set (Ecore_X_Window win, Ecore_X_Pixmap mask)
| Sets the shape of the given window to that given by the pixmap `mask`. More...
EAPI void | ecore_x_window_shape_window_set (Ecore_X_Window win, Ecore_X_Window shape_win)
EAPI void | ecore_x_window_shape_window_set_xy (Ecore_X_Window win, Ecore_X_Window shape_win, int x, int y)
EAPI void | ecore_x_window_shape_rectangle_set (Ecore_X_Window win, int x, int y, int w, int h)
EAPI void | ecore_x_window_shape_rectangles_set (Ecore_X_Window win, Ecore_X_Rectangle *rects, int num)
EAPI void | ecore_x_window_shape_input_rectangle_set (Ecore_X_Window win, int x, int y, int w, int h)
EAPI void | ecore_x_window_shape_input_rectangles_set (Ecore_X_Window win, Ecore_X_Rectangle *rects, int num)
EAPI void | ecore_x_window_shape_input_rectangle_add (Ecore_X_Window win, int x, int y, int w, int h)
EAPI void | ecore_x_window_shape_rectangle_subtract (Ecore_X_Window win, int x, int y, int w, int h)
EAPI void | ecore_x_window_shape_input_rectangle_subtract (Ecore_X_Window win, int x, int y, int w, int h)
EAPI void | ecore_x_window_shape_input_window_set_xy (Ecore_X_Window win, Ecore_X_Window shape_win, int x, int y)
EAPI void | ecore_x_window_shape_input_window_set (Ecore_X_Window win, Ecore_X_Window shape_win)
EAPI void | ecore_x_window_shape_window_add (Ecore_X_Window win, Ecore_X_Window shape_win)
EAPI void | ecore_x_window_shape_window_add_xy (Ecore_X_Window win, Ecore_X_Window shape_win, int x, int y)
EAPI void | ecore_x_window_shape_input_window_add_xy (Ecore_X_Window win, Ecore_X_Window shape_win, int x, int y)
EAPI void | ecore_x_window_shape_rectangle_add (Ecore_X_Window win, int x, int y, int w, int h)
EAPI void | ecore_x_window_shape_rectangle_clip (Ecore_X_Window win, int x, int y, int w, int h)
EAPI void | ecore_x_window_shape_input_rectangle_clip (Ecore_X_Window win, int x, int y, int w, int h)
EAPI void | ecore_x_window_shape_rectangles_add (Ecore_X_Window win, Ecore_X_Rectangle *rects, int num)
EAPI void | ecore_x_window_shape_input_rectangles_add (Ecore_X_Window win, Ecore_X_Rectangle *rects, int num)
EAPI Ecore_X_Rectangle * | ecore_x_window_shape_rectangles_get (Ecore_X_Window win, int *num_ret)
EAPI Ecore_X_Rectangle * | ecore_x_window_shape_input_rectangles_get (Ecore_X_Window win, int *num_ret)
EAPI void | ecore_x_window_shape_events_select (Ecore_X_Window win, Eina_Bool on)
EAPI void | ecore_x_window_shape_input_mask_set (Ecore_X_Window win, Ecore_X_Pixmap mask)
| Sets the input shape of the given window to that given by the pixmap `mask`. More...
EAPI Ecore_X_Pixmap | ecore_x_pixmap_new (Ecore_X_Window win, int w, int h, int dep)
| Creates a new pixmap. More...
EAPI void | ecore_x_pixmap_free (Ecore_X_Pixmap pmap)
| Deletes the reference to the given pixmap. More...
EAPI void | ecore_x_pixmap_paste (Ecore_X_Pixmap pmap, Ecore_X_Drawable dest, Ecore_X_GC gc, int sx, int sy, int w, int h, int dx, int dy)
| Pastes a rectangular area of the given pixmap onto the given drawable. More...
EAPI void | ecore_x_pixmap_geometry_get (Ecore_X_Pixmap pmap, int *x, int *y, int *w, int *h)
| Retrieves the size of the given pixmap. More...
EAPI int | ecore_x_pixmap_depth_get (Ecore_X_Pixmap pmap)
| Retrieves the depth of the given pixmap. More...
EAPI Ecore_X_GC | ecore_x_gc_new (Ecore_X_Drawable draw, Ecore_X_GC_Value_Mask value_mask, const unsigned int *value_list)
| Creates a new default graphics context associated with the given drawable. More...
EAPI void | ecore_x_gc_free (Ecore_X_GC gc)
| Deletes and frees the given graphics context. More...
EAPI void | ecore_x_gc_foreground_set (Ecore_X_GC gc, unsigned long foreground)
EAPI void | ecore_x_gc_background_set (Ecore_X_GC gc, unsigned long background)
EAPI Eina_Bool | ecore_x_client_message32_send (Ecore_X_Window win, Ecore_X_Atom type, Ecore_X_Event_Mask mask, long d0, long d1, long d2, long d3, long d4)
| Send client message with given type and format 32. More...
EAPI Eina_Bool | ecore_x_client_message8_send (Ecore_X_Window win, Ecore_X_Atom type, const void *data, int len)
| Send client message with given type and format 8. More...
EAPI Eina_Bool | ecore_x_mouse_move_send (Ecore_X_Window win, int x, int y)
EAPI Eina_Bool | ecore_x_mouse_down_send (Ecore_X_Window win, int x, int y, int b)
EAPI Eina_Bool | ecore_x_mouse_up_send (Ecore_X_Window win, int x, int y, int b)
EAPI Eina_Bool | ecore_x_mouse_in_send (Ecore_X_Window win, int x, int y)
EAPI Eina_Bool | ecore_x_mouse_out_send (Ecore_X_Window win, int x, int y)
EAPI void | ecore_x_drawable_geometry_get (Ecore_X_Drawable d, int *x, int *y, int *w, int *h)
| Retrieves the geometry of the given drawable. More...
EAPI int | ecore_x_drawable_border_width_get (Ecore_X_Drawable d)
| Retrieves the width of the border of the given drawable. More...
EAPI int | ecore_x_drawable_depth_get (Ecore_X_Drawable d)
| Retrieves the depth of the given drawable. More...
EAPI void | ecore_x_drawable_rectangle_fill (Ecore_X_Drawable d, Ecore_X_GC gc, int x, int y, int width, int height)
| Fill the specified rectangle on a drawable. More...
EAPI Eina_Bool | ecore_x_cursor_color_supported_get (void)
EAPI Ecore_X_Cursor | ecore_x_cursor_new (Ecore_X_Window win, int *pixels, int w, int h, int hot_x, int hot_y)
EAPI void | ecore_x_cursor_free (Ecore_X_Cursor c)
EAPI Ecore_X_Cursor | ecore_x_cursor_shape_get (int shape)
EAPI void | ecore_x_cursor_size_set (int size)
EAPI int | ecore_x_cursor_size_get (void)
EAPI Ecore_X_Window * | ecore_x_window_root_list (int *num_ret)
| Get a list of all the root windows on the server. More...
EAPI Ecore_X_Window | ecore_x_window_root_first_get (void)
EAPI Eina_Bool | ecore_x_window_manage (Ecore_X_Window win)
EAPI void | ecore_x_window_container_manage (Ecore_X_Window win)
EAPI void | ecore_x_window_client_manage (Ecore_X_Window win)
EAPI void | ecore_x_window_sniff (Ecore_X_Window win)
EAPI void | ecore_x_window_client_sniff (Ecore_X_Window win)
EAPI Ecore_X_Atom | ecore_x_atom_get (const char *name)
| Retrieves the atom value associated to a name. More...
EAPI void | ecore_x_atoms_get (const char **names, int num, Ecore_X_Atom *atoms)
EAPI char * | ecore_x_atom_name_get (Ecore_X_Atom atom)
| Retrieves the name of the given atom. More...
EAPI void | ecore_x_icccm_init (void)
EAPI void | ecore_x_icccm_state_set (Ecore_X_Window win, Ecore_X_Window_State_Hint state)
EAPI Ecore_X_Window_State_Hint | ecore_x_icccm_state_get (Ecore_X_Window win)
EAPI void | ecore_x_icccm_delete_window_send (Ecore_X_Window win, Ecore_X_Time t)
EAPI void | ecore_x_icccm_take_focus_send (Ecore_X_Window win, Ecore_X_Time t)
EAPI void | ecore_x_icccm_save_yourself_send (Ecore_X_Window win, Ecore_X_Time t)
EAPI void | ecore_x_icccm_move_resize_send (Ecore_X_Window win, int x, int y, int w, int h)
EAPI void | ecore_x_icccm_hints_set (Ecore_X_Window win, Eina_Bool accepts_focus, Ecore_X_Window_State_Hint initial_state, Ecore_X_Pixmap icon_pixmap, Ecore_X_Pixmap icon_mask, Ecore_X_Window icon_window, Ecore_X_Window window_group, Eina_Bool is_urgent)
EAPI Eina_Bool | ecore_x_icccm_hints_get (Ecore_X_Window win, Eina_Bool *accepts_focus, Ecore_X_Window_State_Hint *initial_state, Ecore_X_Pixmap *icon_pixmap, Ecore_X_Pixmap *icon_mask, Ecore_X_Window *icon_window, Ecore_X_Window *window_group, Eina_Bool *is_urgent)
EAPI void | ecore_x_icccm_size_pos_hints_set (Ecore_X_Window win, Eina_Bool request_pos, Ecore_X_Gravity gravity, int min_w, int min_h, int max_w, int max_h, int base_w, int base_h, int step_x, int step_y, double min_aspect, double max_aspect)
EAPI Eina_Bool | ecore_x_icccm_size_pos_hints_get (Ecore_X_Window win, Eina_Bool *request_pos, Ecore_X_Gravity *gravity, int *min_w, int *min_h, int *max_w, int *max_h, int *base_w, int *base_h, int *step_x, int *step_y, double *min_aspect, double *max_aspect)
EAPI void | ecore_x_icccm_title_set (Ecore_X_Window win, const char *t)
EAPI char * | ecore_x_icccm_title_get (Ecore_X_Window win)
EAPI void | ecore_x_icccm_protocol_atoms_set (Ecore_X_Window win, Ecore_X_Atom *protos, int num)
| Set protocol atoms explicitly. More...
EAPI void | ecore_x_icccm_protocol_set (Ecore_X_Window win, Ecore_X_WM_Protocol protocol, Eina_Bool on)
| Set or unset a wm protocol property. More...
EAPI Eina_Bool | ecore_x_icccm_protocol_isset (Ecore_X_Window win, Ecore_X_WM_Protocol protocol)
| Determines whether a protocol is set for a window. More...
EAPI void | ecore_x_icccm_name_class_set (Ecore_X_Window win, const char *n, const char *c)
| Set a window name & class. More...
EAPI void | ecore_x_icccm_name_class_get (Ecore_X_Window win, char **n, char **c)
| Get a window name & class. More...
EAPI char * | ecore_x_icccm_client_machine_get (Ecore_X_Window win)
| Get a window client machine string. More...
EAPI void | ecore_x_icccm_command_set (Ecore_X_Window win, int argc, char **argv)
| Sets the WM_COMMAND property for win. More...
EAPI void | ecore_x_icccm_command_get (Ecore_X_Window win, int *argc, char ***argv)
| Get the WM_COMMAND property for win. More...
EAPI char * | ecore_x_icccm_icon_name_get (Ecore_X_Window win)
| Get a window icon name. More...
EAPI void | ecore_x_icccm_icon_name_set (Ecore_X_Window win, const char *t)
| Set a window icon name. More...
EAPI void | ecore_x_icccm_colormap_window_set (Ecore_X_Window win, Ecore_X_Window subwin)
| Add a subwindow to the list of windows that need a different colormap installed. More...
EAPI void | ecore_x_icccm_colormap_window_unset (Ecore_X_Window win, Ecore_X_Window subwin)
| Remove a window from the list of colormap windows. More...
EAPI void | ecore_x_icccm_transient_for_set (Ecore_X_Window win, Ecore_X_Window forwin)
| Specify that a window is transient for another top-level window and should be handled accordingly. More...
EAPI void | ecore_x_icccm_transient_for_unset (Ecore_X_Window win)
| Remove the transient_for setting from a window. More...
EAPI Ecore_X_Window | ecore_x_icccm_transient_for_get (Ecore_X_Window win)
| Get the window this window is transient for, if any. More...
EAPI void | ecore_x_icccm_window_role_set (Ecore_X_Window win, const char *role)
| Set the window role hint. More...
EAPI char * | ecore_x_icccm_window_role_get (Ecore_X_Window win)
| Get the window role. More...
EAPI void | ecore_x_icccm_client_leader_set (Ecore_X_Window win, Ecore_X_Window l)
| Set the window's client leader. More...
EAPI Ecore_X_Window | ecore_x_icccm_client_leader_get (Ecore_X_Window win)
| Get the window's client leader. More...
EAPI void | ecore_x_icccm_iconic_request_send (Ecore_X_Window win, Ecore_X_Window root)
EAPI Eina_Bool | ecore_x_mwm_hints_get (Ecore_X_Window win, Ecore_X_MWM_Hint_Func *fhint, Ecore_X_MWM_Hint_Decor *dhint, Ecore_X_MWM_Hint_Input *ihint)
EAPI void | ecore_x_mwm_borderless_set (Ecore_X_Window win, Eina_Bool borderless)
| Sets the borderless flag of a window using MWM. More...
EAPI void | ecore_x_netwm_init (void)
EAPI void | ecore_x_netwm_shutdown (void)
EAPI void | ecore_x_netwm_wm_identify (Ecore_X_Window root, Ecore_X_Window check, const char *wm_name)
EAPI void | ecore_x_netwm_supported_set (Ecore_X_Window root, Ecore_X_Atom *supported, int num)
EAPI Eina_Bool | ecore_x_netwm_supported_get (Ecore_X_Window root, Ecore_X_Atom **supported, int *num)
EAPI void | ecore_x_netwm_desk_count_set (Ecore_X_Window root, unsigned int n_desks)
EAPI void | ecore_x_netwm_desk_roots_set (Ecore_X_Window root, Ecore_X_Window *vroots, unsigned int n_desks)
EAPI void | ecore_x_netwm_desk_names_set (Ecore_X_Window root, const char **names, unsigned int n_desks)
EAPI void | ecore_x_netwm_desk_size_set (Ecore_X_Window root, unsigned int width, unsigned int height)
EAPI void | ecore_x_netwm_desk_workareas_set (Ecore_X_Window root, unsigned int *areas, unsigned int n_desks)
EAPI unsigned int * | ecore_x_netwm_desk_workareas_get (Ecore_X_Window root, unsigned int *n_desks)
EAPI void | ecore_x_netwm_desk_current_set (Ecore_X_Window root, unsigned int desk)
EAPI void | ecore_x_netwm_desk_viewports_set (Ecore_X_Window root, unsigned int *origins, unsigned int n_desks)
EAPI void | ecore_x_netwm_desk_layout_set (Ecore_X_Window root, int orientation, int columns, int rows, int starting_corner)
EAPI void | ecore_x_netwm_showing_desktop_set (Ecore_X_Window root, Eina_Bool on)
EAPI void | ecore_x_netwm_client_list_set (Ecore_X_Window root, Ecore_X_Window *p_clients, unsigned int n_clients)
EAPI void | ecore_x_netwm_client_list_stacking_set (Ecore_X_Window root, Ecore_X_Window *p_clients, unsigned int n_clients)
EAPI void | ecore_x_netwm_client_active_set (Ecore_X_Window root, Ecore_X_Window win)
EAPI void | ecore_x_netwm_client_active_request (Ecore_X_Window root, Ecore_X_Window win, int type, Ecore_X_Window current_win)
EAPI void | ecore_x_netwm_name_set (Ecore_X_Window win, const char *name)
EAPI int | ecore_x_netwm_name_get (Ecore_X_Window win, char **name)
EAPI void | ecore_x_netwm_startup_id_set (Ecore_X_Window win, const char *id)
EAPI int | ecore_x_netwm_startup_id_get (Ecore_X_Window win, char **id)
EAPI void | ecore_x_netwm_visible_name_set (Ecore_X_Window win, const char *name)
EAPI int | ecore_x_netwm_visible_name_get (Ecore_X_Window win, char **name)
EAPI void | ecore_x_netwm_icon_name_set (Ecore_X_Window win, const char *name)
EAPI int | ecore_x_netwm_icon_name_get (Ecore_X_Window win, char **name)
EAPI void | ecore_x_netwm_visible_icon_name_set (Ecore_X_Window win, const char *name)
EAPI int | ecore_x_netwm_visible_icon_name_get (Ecore_X_Window win, char **name)
EAPI void | ecore_x_netwm_desktop_set (Ecore_X_Window win, unsigned int desk)
EAPI Eina_Bool | ecore_x_netwm_desktop_get (Ecore_X_Window win, unsigned int *desk)
EAPI void | ecore_x_netwm_strut_set (Ecore_X_Window win, int left, int right, int top, int bottom)
EAPI Eina_Bool | ecore_x_netwm_strut_get (Ecore_X_Window win, int *left, int *right, int *top, int *bottom)
EAPI void | ecore_x_netwm_strut_partial_set (Ecore_X_Window win, int left, int right, int top, int bottom, int left_start_y, int left_end_y, int right_start_y, int right_end_y, int top_start_x, int top_end_x, int bottom_start_x, int bottom_end_x)
EAPI Eina_Bool | ecore_x_netwm_strut_partial_get (Ecore_X_Window win, int *left, int *right, int *top, int *bottom, int *left_start_y, int *left_end_y, int *right_start_y, int *right_end_y, int *top_start_x, int *top_end_x, int *bottom_start_x, int *bottom_end_x)
EAPI void | ecore_x_netwm_icons_set (Ecore_X_Window win, Ecore_X_Icon *icon, int num)
EAPI Eina_Bool | ecore_x_netwm_icons_get (Ecore_X_Window win, Ecore_X_Icon **icon, int *num)
EAPI void | ecore_x_netwm_icon_geometry_set (Ecore_X_Window win, int x, int y, int width, int height)
EAPI Eina_Bool | ecore_x_netwm_icon_geometry_get (Ecore_X_Window win, int *x, int *y, int *width, int *height)
EAPI void | ecore_x_netwm_pid_set (Ecore_X_Window win, int pid)
EAPI Eina_Bool | ecore_x_netwm_pid_get (Ecore_X_Window win, int *pid)
EAPI void | ecore_x_netwm_handled_icons_set (Ecore_X_Window win)
EAPI Eina_Bool | ecore_x_netwm_handled_icons_get (Ecore_X_Window win)
EAPI void | ecore_x_netwm_user_time_set (Ecore_X_Window win, unsigned int time)
EAPI Eina_Bool | ecore_x_netwm_user_time_get (Ecore_X_Window win, unsigned int *time)
EAPI void | ecore_x_netwm_window_state_set (Ecore_X_Window win, Ecore_X_Window_State *state, unsigned int num)
EAPI Eina_Bool | ecore_x_netwm_window_state_get (Ecore_X_Window win, Ecore_X_Window_State **state, unsigned int *num)
EAPI void | ecore_x_netwm_window_type_set (Ecore_X_Window win, Ecore_X_Window_Type type)
EAPI Eina_Bool | ecore_x_netwm_window_type_get (Ecore_X_Window win, Ecore_X_Window_Type *type)
EAPI int | ecore_x_netwm_window_types_get (Ecore_X_Window win, Ecore_X_Window_Type **types)
EAPI Eina_Bool | ecore_x_netwm_allowed_action_isset (Ecore_X_Window win, Ecore_X_Action action)
EAPI void | ecore_x_netwm_allowed_action_set (Ecore_X_Window win, Ecore_X_Action *action, unsigned int num)
EAPI Eina_Bool | ecore_x_netwm_allowed_action_get (Ecore_X_Window win, Ecore_X_Action **action, unsigned int *num)
EAPI void | ecore_x_netwm_opacity_set (Ecore_X_Window win, unsigned int opacity)
EAPI Eina_Bool | ecore_x_netwm_opacity_get (Ecore_X_Window win, unsigned int *opacity)
EAPI void | ecore_x_netwm_frame_size_set (Ecore_X_Window win, int fl, int fr, int ft, int fb)
EAPI Eina_Bool | ecore_x_netwm_frame_size_get (Ecore_X_Window win, int *fl, int *fr, int *ft, int *fb)
EAPI Eina_Bool | ecore_x_netwm_sync_counter_get (Ecore_X_Window win, Ecore_X_Sync_Counter *counter)
EAPI void | ecore_x_netwm_ping_send (Ecore_X_Window win)
EAPI void | ecore_x_netwm_sync_request_send (Ecore_X_Window win, unsigned int serial)
EAPI void | ecore_x_netwm_state_request_send (Ecore_X_Window win, Ecore_X_Window root, Ecore_X_Window_State s1, Ecore_X_Window_State s2, Eina_Bool set)
EAPI void | ecore_x_netwm_desktop_request_send (Ecore_X_Window win, Ecore_X_Window root, unsigned int desktop)
EAPI void | ecore_x_netwm_moveresize_request_send (Ecore_X_Window win, int x, int y, Ecore_X_Netwm_Direction direction, unsigned int button)
EAPI void | ecore_x_e_init (void)
EAPI void | ecore_x_e_frame_size_set (Ecore_X_Window win, int fl, int fr, int ft, int fb)
EAPI void | ecore_x_e_virtual_keyboard_set (Ecore_X_Window win, unsigned int is_keyboard)
EAPI Eina_Bool | ecore_x_e_virtual_keyboard_get (Ecore_X_Window win)
EAPI void | ecore_x_e_virtual_keyboard_state_set (Ecore_X_Window win, Ecore_X_Virtual_Keyboard_State state)
EAPI Ecore_X_Virtual_Keyboard_State | ecore_x_e_virtual_keyboard_state_get (Ecore_X_Window win)
EAPI void | ecore_x_e_virtual_keyboard_state_send (Ecore_X_Window win, Ecore_X_Virtual_Keyboard_State state)
EAPI void | ecore_x_e_illume_zone_set (Ecore_X_Window win, Ecore_X_Window zone)
EAPI Ecore_X_Window | ecore_x_e_illume_zone_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_zone_list_set (Ecore_X_Window win, Ecore_X_Window *zones, unsigned int n_zones)
EAPI void | ecore_x_e_illume_conformant_set (Ecore_X_Window win, unsigned int is_conformant)
EAPI Eina_Bool | ecore_x_e_illume_conformant_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_mode_set (Ecore_X_Window win, Ecore_X_Illume_Mode mode)
EAPI Ecore_X_Illume_Mode | ecore_x_e_illume_mode_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_mode_send (Ecore_X_Window win, Ecore_X_Illume_Mode mode)
EAPI void | ecore_x_e_illume_focus_back_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_focus_forward_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_focus_home_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_close_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_home_new_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_home_del_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_access_action_next_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_access_action_prev_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_access_action_activate_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_access_action_over_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_access_action_read_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_access_action_read_next_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_access_action_read_prev_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_access_action_up_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_access_action_down_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_drag_set (Ecore_X_Window win, unsigned int drag)
EAPI Eina_Bool | ecore_x_e_illume_drag_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_drag_locked_set (Ecore_X_Window win, unsigned int is_locked)
EAPI Eina_Bool | ecore_x_e_illume_drag_locked_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_drag_start_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_drag_end_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_indicator_geometry_set (Ecore_X_Window win, int x, int y, int w, int h)
EAPI Eina_Bool | ecore_x_e_illume_indicator_geometry_get (Ecore_X_Window win, int *x, int *y, int *w, int *h)
EAPI void | ecore_x_e_illume_softkey_geometry_set (Ecore_X_Window win, int x, int y, int w, int h)
EAPI Eina_Bool | ecore_x_e_illume_softkey_geometry_get (Ecore_X_Window win, int *x, int *y, int *w, int *h)
EAPI void | ecore_x_e_illume_keyboard_geometry_set (Ecore_X_Window win, int x, int y, int w, int h)
EAPI Eina_Bool | ecore_x_e_illume_keyboard_geometry_get (Ecore_X_Window win, int *x, int *y, int *w, int *h)
EAPI void | ecore_x_e_illume_quickpanel_set (Ecore_X_Window win, unsigned int is_quickpanel)
EAPI Eina_Bool | ecore_x_e_illume_quickpanel_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_quickpanel_state_set (Ecore_X_Window win, Ecore_X_Illume_Quickpanel_State state)
EAPI Ecore_X_Illume_Quickpanel_State | ecore_x_e_illume_quickpanel_state_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_quickpanel_state_send (Ecore_X_Window win, Ecore_X_Illume_Quickpanel_State state)
EAPI void | ecore_x_e_illume_quickpanel_state_toggle (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_quickpanel_priority_major_set (Ecore_X_Window win, unsigned int priority)
EAPI int | ecore_x_e_illume_quickpanel_priority_major_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_quickpanel_priority_minor_set (Ecore_X_Window win, unsigned int priority)
EAPI int | ecore_x_e_illume_quickpanel_priority_minor_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_quickpanel_zone_set (Ecore_X_Window win, unsigned int zone)
EAPI int | ecore_x_e_illume_quickpanel_zone_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_quickpanel_zone_request_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_quickpanel_position_update_send (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_clipboard_state_set (Ecore_X_Window win, Ecore_X_Illume_Clipboard_State state)
EAPI Ecore_X_Illume_Clipboard_State | ecore_x_e_illume_clipboard_state_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_clipboard_geometry_set (Ecore_X_Window win, int x, int y, int w, int h)
EAPI Eina_Bool | ecore_x_e_illume_clipboard_geometry_get (Ecore_X_Window win, int *x, int *y, int *w, int *h)
EAPI void | ecore_x_e_comp_sync_counter_set (Ecore_X_Window win, Ecore_X_Sync_Counter counter)
EAPI Ecore_X_Sync_Counter | ecore_x_e_comp_sync_counter_get (Ecore_X_Window win)
EAPI void | ecore_x_e_comp_sync_draw_done_send (Ecore_X_Window root, Ecore_X_Window win)
EAPI void | ecore_x_e_comp_sync_draw_size_done_send (Ecore_X_Window root, Ecore_X_Window win, int w, int h)
EAPI void | ecore_x_e_comp_sync_supported_set (Ecore_X_Window root, Eina_Bool enabled)
EAPI Eina_Bool | ecore_x_e_comp_sync_supported_get (Ecore_X_Window root)
EAPI void | ecore_x_e_comp_sync_begin_send (Ecore_X_Window win)
EAPI void | ecore_x_e_comp_sync_end_send (Ecore_X_Window win)
EAPI void | ecore_x_e_comp_sync_cancel_send (Ecore_X_Window win)
EAPI void | ecore_x_e_comp_flush_send (Ecore_X_Window win)
EAPI void | ecore_x_e_comp_dump_send (Ecore_X_Window win)
EAPI void | ecore_x_e_comp_pixmap_set (Ecore_X_Window win, Ecore_X_Pixmap pixmap)
EAPI Ecore_X_Pixmap | ecore_x_e_comp_pixmap_get (Ecore_X_Window win)
EAPI char * | ecore_x_e_window_profile_get (Ecore_X_Window win)
| Get the window profile. More...
EAPI void | ecore_x_e_window_profile_set (Ecore_X_Window win, const char *profile)
| Set the window profile. More...
EAPI void | ecore_x_e_window_profile_list_set (Ecore_X_Window win, const char **profiles, unsigned int num_profiles)
| Set the array of window profiles. More...
EAPI Eina_Bool | ecore_x_e_window_profile_list_get (Ecore_X_Window win, const char ***profiles, int *ret_num)
| Get the array of window profiles. More...
EAPI void | ecore_x_e_window_profile_supported_set (Ecore_X_Window root, Eina_Bool enabled)
| Set the status for the window profile support. More...
EAPI Eina_Bool | ecore_x_e_window_profile_supported_get (Ecore_X_Window root)
| Query if the window profile is supported. More...
EAPI void | ecore_x_e_window_available_profiles_set (Ecore_X_Window win, const char **profiles, unsigned int count)
| Set the array of available window profiles. More...
EAPI Eina_Bool | ecore_x_e_window_available_profiles_get (Ecore_X_Window win, const char ***profiles, int *count)
| Get the array of avaialbe window profiles. More...
EAPI void | ecore_x_e_window_profile_change_send (Ecore_X_Window root, Ecore_X_Window win, const char *profile)
| Send a profile change event to the window manager. More...
EAPI void | ecore_x_e_window_profile_change_request_send (Ecore_X_Window win, const char *profile)
| Send a profile change request event to the client. More...
EAPI void | ecore_x_e_window_profile_change_done_send (Ecore_X_Window root, Ecore_X_Window win, const char *profile)
| Send a profile change done event to the window manager. More...
EAPI Ecore_X_Sync_Alarm | ecore_x_sync_alarm_new (Ecore_X_Sync_Counter counter)
EAPI Eina_Bool | ecore_x_sync_alarm_free (Ecore_X_Sync_Alarm alarm)
EAPI Eina_Bool | ecore_x_sync_counter_query (Ecore_X_Sync_Counter counter, unsigned int *val)
EAPI Ecore_X_Sync_Counter | ecore_x_sync_counter_new (int val)
EAPI void | ecore_x_sync_counter_free (Ecore_X_Sync_Counter counter)
EAPI void | ecore_x_sync_counter_inc (Ecore_X_Sync_Counter counter, int by)
EAPI void | ecore_x_sync_counter_val_wait (Ecore_X_Sync_Counter counter, int val)
EAPI void | ecore_x_sync_counter_set (Ecore_X_Sync_Counter counter, int val)
EAPI void | ecore_x_sync_counter_2_set (Ecore_X_Sync_Counter counter, int val_hi, unsigned int val_lo)
EAPI Eina_Bool | ecore_x_sync_counter_2_query (Ecore_X_Sync_Counter counter, int *val_hi, unsigned int *val_lo)
EAPI int | ecore_x_xinerama_screen_count_get (void)
EAPI Eina_Bool | ecore_x_xinerama_screen_geometry_get (int screen, int *x, int *y, int *w, int *h)
EAPI Eina_Bool | ecore_x_screensaver_event_available_get (void)
EAPI int | ecore_x_screensaver_idle_time_get (void)
EAPI void | ecore_x_screensaver_set (int timeout, int interval, int prefer_blanking, int allow_exposures)
EAPI void | ecore_x_screensaver_timeout_set (int timeout)
EAPI int | ecore_x_screensaver_timeout_get (void)
EAPI void | ecore_x_screensaver_blank_set (int timeout)
EAPI int | ecore_x_screensaver_blank_get (void)
EAPI void | ecore_x_screensaver_expose_set (int timeout)
EAPI int | ecore_x_screensaver_expose_get (void)
EAPI void | ecore_x_screensaver_interval_set (int timeout)
EAPI int | ecore_x_screensaver_interval_get (void)
EAPI void | ecore_x_screensaver_event_listen_set (Eina_Bool on)
EAPI Eina_Bool | ecore_x_screensaver_custom_blanking_enable (void)
EAPI Eina_Bool | ecore_x_screensaver_custom_blanking_disable (void)
EAPI void | ecore_x_screensaver_supend (void)
EAPI void | ecore_x_screensaver_resume (void)
EAPI void | ecore_x_screensaver_reset (void)
EAPI void | ecore_x_screensaver_activate (void)
EAPI Eina_Bool | ecore_x_window_attributes_get (Ecore_X_Window win, Ecore_X_Window_Attributes *att_ret)
EAPI void | ecore_x_window_save_set_add (Ecore_X_Window win)
EAPI void | ecore_x_window_save_set_del (Ecore_X_Window win)
EAPI Ecore_X_Window * | ecore_x_window_children_get (Ecore_X_Window win, int *num)
EAPI Eina_Bool | ecore_x_pointer_control_set (int accel_num, int accel_denom, int threshold)
EAPI Eina_Bool | ecore_x_pointer_control_get (int *accel_num, int *accel_denom, int *threshold)
EAPI Eina_Bool | ecore_x_pointer_mapping_set (unsigned char *map, int nmap)
EAPI Eina_Bool | ecore_x_pointer_mapping_get (unsigned char *map, int nmap)
EAPI Eina_Bool | ecore_x_pointer_grab (Ecore_X_Window win)
EAPI Eina_Bool | ecore_x_pointer_confine_grab (Ecore_X_Window win)
EAPI void | ecore_x_pointer_ungrab (void)
EAPI Eina_Bool | ecore_x_pointer_warp (Ecore_X_Window win, int x, int y)
EAPI Eina_Bool | ecore_x_keyboard_grab (Ecore_X_Window win)
EAPI void | ecore_x_keyboard_ungrab (void)
EAPI void | ecore_x_grab (void)
EAPI void | ecore_x_ungrab (void)
EAPI void | ecore_x_passive_grab_replay_func_set (Eina_Bool(*func)(void *data, int event_type, void *event), void *data)
EAPI void | ecore_x_window_button_grab (Ecore_X_Window win, int button, Ecore_X_Event_Mask event_mask, int mod, int any_mod)
EAPI void | ecore_x_window_button_ungrab (Ecore_X_Window win, int button, int mod, int any_mod)
EAPI void | ecore_x_window_key_grab (Ecore_X_Window win, const char *key, int mod, int any_mod)
EAPI void | ecore_x_window_key_ungrab (Ecore_X_Window win, const char *key, int mod, int any_mod)
EAPI void | ecore_x_focus_reset (void)
EAPI void | ecore_x_events_allow_all (void)
EAPI void | ecore_x_pointer_last_xy_get (int *x, int *y)
EAPI void | ecore_x_pointer_xy_get (Ecore_X_Window win, int *x, int *y)
EAPI void | ecore_x_pointer_root_xy_get (int *x, int *y)
EAPI Ecore_X_XRegion * | ecore_x_xregion_new (void)
EAPI void | ecore_x_xregion_free (Ecore_X_XRegion *region)
EAPI Eina_Bool | ecore_x_xregion_set (Ecore_X_XRegion *region, Ecore_X_GC gc)
EAPI void | ecore_x_xregion_translate (Ecore_X_XRegion *region, int x, int y)
EAPI Eina_Bool | ecore_x_xregion_intersect (Ecore_X_XRegion *dst, Ecore_X_XRegion *r1, Ecore_X_XRegion *r2)
EAPI Eina_Bool | ecore_x_xregion_union (Ecore_X_XRegion *dst, Ecore_X_XRegion *r1, Ecore_X_XRegion *r2)
EAPI Eina_Bool | ecore_x_xregion_union_rect (Ecore_X_XRegion *dst, Ecore_X_XRegion *src, Ecore_X_Rectangle *rect)
EAPI Eina_Bool | ecore_x_xregion_subtract (Ecore_X_XRegion *dst, Ecore_X_XRegion *r1, Ecore_X_XRegion *r2)
EAPI Eina_Bool | ecore_x_xregion_is_empty (Ecore_X_XRegion *region)
EAPI Eina_Bool | ecore_x_xregion_is_equal (Ecore_X_XRegion *r1, Ecore_X_XRegion *r2)
EAPI Eina_Bool | ecore_x_xregion_point_contain (Ecore_X_XRegion *region, int x, int y)
EAPI Eina_Bool | ecore_x_xregion_rect_contain (Ecore_X_XRegion *region, Ecore_X_Rectangle *rect)
EAPI int | ecore_x_randr_version_get (void)
EAPI Eina_Bool | ecore_x_randr_query (void)
EAPI Ecore_X_Time | ecore_x_randr_config_timestamp_get (Ecore_X_Window root)
| This function returns the current config timestamp from XRRScreenConfiguration. More...
EAPI Ecore_X_Randr_Orientation | ecore_x_randr_screen_primary_output_orientations_get (Ecore_X_Window root)
EAPI Ecore_X_Randr_Orientation | ecore_x_randr_screen_primary_output_orientation_get (Ecore_X_Window root)
EAPI Eina_Bool | ecore_x_randr_screen_primary_output_orientation_set (Ecore_X_Window root, Ecore_X_Randr_Orientation orientation)
EAPI Ecore_X_Randr_Screen_Size_MM * | ecore_x_randr_screen_primary_output_sizes_get (Ecore_X_Window root, int *num)
EAPI void | ecore_x_randr_screen_primary_output_current_size_get (Ecore_X_Window root, int *w, int *h, int *w_mm, int *h_mm, int *size_index)
| get the current set size of a given screen's primary output More...
EAPI Eina_Bool | ecore_x_randr_screen_primary_output_size_set (Ecore_X_Window root, int size_index)
EAPI Ecore_X_Randr_Refresh_Rate | ecore_x_randr_screen_primary_output_current_refresh_rate_get (Ecore_X_Window root)
EAPI Ecore_X_Randr_Refresh_Rate * | ecore_x_randr_screen_primary_output_refresh_rates_get (Ecore_X_Window root, int size_index, int *num)
EAPI Eina_Bool | ecore_x_randr_screen_primary_output_refresh_rate_set (Ecore_X_Window root, int size_index, Ecore_X_Randr_Refresh_Rate rate)
EAPI void | ecore_x_randr_events_select (Ecore_X_Window win, Eina_Bool on)
| enable event selection. More...
EAPI void | ecore_x_randr_screen_current_size_get (Ecore_X_Window root, int *w, int *h, int *w_mm, int *h_mm)
EAPI void | ecore_x_randr_screen_size_range_get (Ecore_X_Window root, int *wmin, int *hmin, int *wmax, int *hmax)
EAPI void | ecore_x_randr_screen_reset (Ecore_X_Window root)
| removes unused screen space. More...
EAPI Eina_Bool | ecore_x_randr_screen_current_size_set (Ecore_X_Window root, int w, int h, int w_mm, int h_mm)
EAPI Ecore_X_Randr_Mode_Info ** | ecore_x_randr_modes_info_get (Ecore_X_Window root, int *num)
EAPI Ecore_X_Randr_Mode | ecore_x_randr_mode_info_add (Ecore_X_Window root, Ecore_X_Randr_Mode_Info *mode_info)
EAPI void | ecore_x_randr_mode_del (Ecore_X_Randr_Mode mode)
EAPI Ecore_X_Randr_Mode_Info * | ecore_x_randr_mode_info_get (Ecore_X_Window root, Ecore_X_Randr_Mode mode)
EAPI void | ecore_x_randr_mode_info_free (Ecore_X_Randr_Mode_Info *mode_info)
EAPI Ecore_X_Randr_Crtc * | ecore_x_randr_crtcs_get (Ecore_X_Window root, int *num)
EAPI Ecore_X_Randr_Output * | ecore_x_randr_outputs_get (Ecore_X_Window root, int *num)
EAPI Ecore_X_Randr_Output * | ecore_x_randr_window_outputs_get (Ecore_X_Window window, int *num)
EAPI Ecore_X_Randr_Output * | ecore_x_randr_current_output_get (Ecore_X_Window window, int *num)
EAPI Ecore_X_Randr_Crtc * | ecore_x_randr_window_crtcs_get (Ecore_X_Window window, int *num)
EAPI Ecore_X_Randr_Crtc * | ecore_x_randr_current_crtc_get (Ecore_X_Window window, int *num)
EAPI Ecore_X_Randr_Output * | ecore_x_randr_crtc_outputs_get (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, int *num)
EAPI Ecore_X_Randr_Output * | ecore_x_randr_crtc_possible_outputs_get (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, int *num)
EAPI void | ecore_x_randr_crtc_geometry_get (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, int *x, int *y, int *w, int *h)
EAPI void | ecore_x_randr_crtc_pos_get (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, int *x, int *y)
EAPI Eina_Bool | ecore_x_randr_crtc_pos_set (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, int x, int y)
EAPI Ecore_X_Randr_Mode | ecore_x_randr_crtc_mode_get (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc)
| Get the current set mode of a given CRTC. More...
EAPI Eina_Bool | ecore_x_randr_crtc_mode_set (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, Ecore_X_Randr_Output *outputs, int noutputs, Ecore_X_Randr_Mode mode)
| Sets a mode for a CRTC and the outputs attached to it. More...
EAPI void | ecore_x_randr_crtc_size_get (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, int *w, int *h)
EAPI Ecore_X_Randr_Refresh_Rate | ecore_x_randr_crtc_refresh_rate_get (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, Ecore_X_Randr_Mode mode)
EAPI Ecore_X_Randr_Orientation | ecore_x_randr_crtc_orientations_get (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc)
EAPI Ecore_X_Randr_Orientation | ecore_x_randr_crtc_orientation_get (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc)
EAPI Eina_Bool | ecore_x_randr_crtc_orientation_set (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, const Ecore_X_Randr_Orientation orientation)
EAPI Eina_Bool | ecore_x_randr_crtc_clone_set (Ecore_X_Window root, Ecore_X_Randr_Crtc original, Ecore_X_Randr_Crtc clone)
EAPI Eina_Bool | ecore_x_randr_crtc_settings_set (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, Ecore_X_Randr_Output *outputs, int noutputs, int x, int y, Ecore_X_Randr_Mode mode, Ecore_X_Randr_Orientation orientation)
| Sets the demanded parameters for a given CRTC. More...
EAPI Eina_Bool | ecore_x_randr_crtc_pos_relative_set (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc_r1, Ecore_X_Randr_Crtc crtc_r2, Ecore_X_Randr_Output_Policy policy, Ecore_X_Randr_Relative_Alignment alignment)
| Sets a CRTC relative to another one. More...
EAPI Ecore_X_Randr_Crtc_Info * | ecore_x_randr_crtc_info_get (Ecore_X_Window root, const Ecore_X_Randr_Crtc crtc)
EAPI void | ecore_x_randr_crtc_info_free (Ecore_X_Randr_Crtc_Info *info)
EAPI Eina_Bool | ecore_x_randr_output_mode_add (Ecore_X_Randr_Output output, Ecore_X_Randr_Mode mode)
EAPI void | ecore_x_randr_output_mode_del (Ecore_X_Randr_Output output, Ecore_X_Randr_Mode mode)
EAPI Ecore_X_Randr_Mode * | ecore_x_randr_output_modes_get (Ecore_X_Window root, Ecore_X_Randr_Output output, int *num, int *npreferred)
EAPI Ecore_X_Randr_Output * | ecore_x_randr_output_clones_get (Ecore_X_Window root, Ecore_X_Randr_Output output, int *num)
| Gets the outputs which might be used simultaneously on the same CRTC. More...
EAPI Ecore_X_Randr_Crtc * | ecore_x_randr_output_possible_crtcs_get (Ecore_X_Window root, Ecore_X_Randr_Output output, int *num)
EAPI Ecore_X_Randr_Crtc | ecore_x_randr_output_crtc_get (Ecore_X_Window root, Ecore_X_Randr_Output output)
EAPI char * | ecore_x_randr_output_name_get (Ecore_X_Window root, Ecore_X_Randr_Output output, int *len)
| gets the given output's name as reported by X More...
EINA_DEPRECATED EAPI int | ecore_x_randr_crtc_gamma_ramp_size_get (Ecore_X_Randr_Crtc crtc)
EINA_DEPRECATED EAPI Ecore_X_Randr_Crtc_Gamma ** | ecore_x_randr_crtc_gamma_ramps_get (Ecore_X_Randr_Crtc crtc)
EINA_DEPRECATED EAPI Eina_Bool | ecore_x_randr_crtc_gamma_ramps_set (Ecore_X_Randr_Crtc crtc, const Ecore_X_Randr_Crtc_Gamma *red, const Ecore_X_Randr_Crtc_Gamma *green, const Ecore_X_Randr_Crtc_Gamma *blue)
EAPI Eina_Bool | ecore_x_randr_move_all_crtcs_but (Ecore_X_Window root, const Ecore_X_Randr_Crtc *not_moved, int nnot_moved, int dx, int dy)
EAPI Eina_Bool | ecore_x_randr_move_crtcs (Ecore_X_Window root, const Ecore_X_Randr_Crtc *crtcs, int ncrtc, int dx, int dy)
EAPI void | ecore_x_randr_mode_size_get (Ecore_X_Window root, Ecore_X_Randr_Mode mode, int *w, int *h)
| Gets the width and hight of a given mode. More...
EAPI Ecore_X_Randr_Connection_Status | ecore_x_randr_output_connection_status_get (Ecore_X_Window root, Ecore_X_Randr_Output output)
EAPI void | ecore_x_randr_output_size_mm_get (Ecore_X_Window root, Ecore_X_Randr_Output output, int *w, int *h)
EAPI Eina_Bool | ecore_x_randr_output_crtc_set (Ecore_X_Window root, Ecore_X_Randr_Output output, const Ecore_X_Randr_Crtc crtc)
EAPI int | ecore_x_randr_crtc_gamma_size_get (Ecore_X_Randr_Crtc crtc)
EAPI Ecore_X_Randr_Crtc_Gamma_Info * | ecore_x_randr_crtc_gamma_get (Ecore_X_Randr_Crtc crtc)
EAPI Eina_Bool | ecore_x_randr_crtc_gamma_set (Ecore_X_Randr_Crtc crtc, const Ecore_X_Randr_Crtc_Gamma_Info *gamma)
EAPI Eina_Bool | ecore_x_randr_edid_has_valid_header (unsigned char *edid, unsigned long edid_length)
| Validates the header from raw EDID data. More...
EAPI Eina_Bool | ecore_x_randr_edid_info_has_valid_checksum (unsigned char *edid, unsigned long edid_length)
| Checks whether a display's EDID has a valid checksum. More...
EAPI int | ecore_x_randr_edid_version_get (unsigned char *edid, unsigned long edid_length)
| Get the encoded version from raw EDID data. More...
EAPI char * | ecore_x_randr_edid_manufacturer_name_get (unsigned char *edid, unsigned long edid_length)
| Get the encoded manufacturer from raw EDID data. More...
EAPI char * | ecore_x_randr_edid_display_name_get (unsigned char *edid, unsigned long edid_length)
| Get the encoded name from raw EDID data. More...
EAPI char * | ecore_x_randr_edid_display_ascii_get (unsigned char *edid, unsigned long edid_length)
| Get the encoded ASCII from raw EDID data. More...
EAPI char * | ecore_x_randr_edid_display_serial_get (unsigned char *edid, unsigned long edid_length)
| Get the encoded serial identifier from raw EDID data. More...
EAPI int | ecore_x_randr_edid_model_get (unsigned char *edid, unsigned long edid_length)
| Get the encoded model number from raw EDID data. More...
EAPI int | ecore_x_randr_edid_manufacturer_serial_number_get (unsigned char *edid, unsigned long edid_length)
| Get the manufacturer serial number from raw EDID data. More...
EAPI int | ecore_x_randr_edid_manufacturer_model_get (unsigned char *edid, unsigned long edid_length)
| Get the manufacturer model number from raw EDID data. More...
EAPI Eina_Bool | ecore_x_randr_edid_dpms_available_get (unsigned char *edid, unsigned long edid_length)
| Looks up the DPMS support from raw EDID data. More...
EAPI Eina_Bool | ecore_x_randr_edid_dpms_standby_available_get (unsigned char *edid, unsigned long edid_length)
| Looks up the DPMS Standby support from raw EDID data. More...
EAPI Eina_Bool | ecore_x_randr_edid_dpms_suspend_available_get (unsigned char *edid, unsigned long edid_length)
| Looks up the DPMS Suspend support from raw EDID data. More...
EAPI Eina_Bool | ecore_x_randr_edid_dpms_off_available_get (unsigned char *edid, unsigned long edid_length)
| Looks up the DPMS Off support from raw EDID data. More...
EAPI Ecore_X_Randr_Edid_Aspect_Ratio | ecore_x_randr_edid_display_aspect_ratio_preferred_get (unsigned char *edid, unsigned long edid_length)
| Get the preferred aspect ratio from raw EDID data. More...
EAPI Ecore_X_Randr_Edid_Aspect_Ratio | ecore_x_randr_edid_display_aspect_ratios_get (unsigned char *edid, unsigned long edid_length)
| Get the supported aspect ratios from raw EDID data. More...
EAPI Ecore_X_Randr_Edid_Display_Colorscheme | ecore_x_randr_edid_display_colorscheme_get (unsigned char *edid, unsigned long edid_length)
| Get the supported colorschemes from raw EDID data. More...
EAPI Eina_Bool | ecore_x_randr_edid_display_type_digital_get (unsigned char *edid, unsigned long edid_length)
| Get the display type from raw EDID data. More...
EAPI Ecore_X_Randr_Edid_Display_Interface_Type | ecore_x_randr_edid_display_interface_type_get (unsigned char *edid, unsigned long edid_length)
| Get the display interface type from raw EDID data. More...
EAPI Eina_Bool | ecore_x_randr_output_backlight_available (void)
EAPI void | ecore_x_randr_screen_backlight_level_set (Ecore_X_Window root, double level)
| Set up the backlight level to the given level. More...
EAPI double | ecore_x_randr_output_backlight_level_get (Ecore_X_Window root, Ecore_X_Randr_Output output)
EAPI Eina_Bool | ecore_x_randr_output_backlight_level_set (Ecore_X_Window root, Ecore_X_Randr_Output output, double level)
EAPI Ecore_X_Randr_Output | ecore_x_randr_primary_output_get (Ecore_X_Window root)
EAPI void | ecore_x_randr_primary_output_set (Ecore_X_Window root, Ecore_X_Randr_Output output)
EAPI Ecore_X_Render_Subpixel_Order | ecore_x_randr_output_subpixel_order_get (Ecore_X_Window root, Ecore_X_Randr_Output output)
EAPI unsigned char * | ecore_x_randr_output_edid_get (Ecore_X_Window root, Ecore_X_Randr_Output output, unsigned long *length)
| Gets the EDID information of an attached output if available. More...
EAPI Ecore_X_Randr_Output * | ecore_x_randr_output_wired_clones_get (Ecore_X_Window root, Ecore_X_Randr_Output output, int *num)
EAPI Ecore_X_Randr_Output ** | ecore_x_randr_output_compatibility_list_get (Ecore_X_Window root, Ecore_X_Randr_Output output, int *num)
EAPI Ecore_X_Randr_Signal_Format * | ecore_x_randr_output_signal_formats_get (Ecore_X_Window root, Ecore_X_Randr_Output output, int *num)
EAPI Eina_Bool | ecore_x_randr_output_signal_format_set (Ecore_X_Window root, Ecore_X_Randr_Output output, Ecore_X_Randr_Signal_Format *signal)
EAPI Ecore_X_Randr_Signal_Property * | ecore_x_randr_output_signal_properties_get (Ecore_X_Window root, Ecore_X_Randr_Output output, int *num)
EAPI int | ecore_x_randr_output_connector_number_get (Ecore_X_Window root, Ecore_X_Randr_Output output)
EAPI Ecore_X_Randr_Connector_Type | ecore_x_randr_output_connector_type_get (Ecore_X_Window root, Ecore_X_Randr_Output output)
EAPI void | ecore_x_randr_crtc_panning_area_get (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, int *x, int *y, int *w, int *h)
EAPI Eina_Bool | ecore_x_randr_crtc_panning_area_set (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, const int x, const int y, const int w, const int h)
EAPI void | ecore_x_randr_crtc_tracking_area_get (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, int *x, int *y, int *w, int *h)
EAPI Eina_Bool | ecore_x_randr_crtc_tracking_area_set (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, const int x, const int y, const int w, const int h)
EAPI void | ecore_x_randr_crtc_border_area_get (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, int *x, int *y, int *w, int *h)
EAPI Eina_Bool | ecore_x_randr_crtc_border_area_set (Ecore_X_Window root, Ecore_X_Randr_Crtc crtc, const int left, const int top, const int right, const int bottom)
EAPI Ecore_X_Region | ecore_x_region_new (Ecore_X_Rectangle *rects, int num)
| Create a region from rectangles. More...
EAPI Ecore_X_Region | ecore_x_region_new_from_bitmap (Ecore_X_Pixmap bitmap)
| Create a region from a pixmap. More...
EAPI Ecore_X_Region | ecore_x_region_new_from_window (Ecore_X_Window win, Ecore_X_Region_Type type)
| Create a region from a window. More...
EAPI Ecore_X_Region | ecore_x_region_new_from_gc (Ecore_X_GC gc)
| Create a region from a graphic context. More...
EAPI Ecore_X_Region | ecore_x_region_new_from_picture (Ecore_X_Picture picture)
| Create a region from a picture. More...
EAPI void | ecore_x_region_free (Ecore_X_Region region)
| Destroy a region. More...
EAPI void | ecore_x_region_set (Ecore_X_Region region, Ecore_X_Rectangle *rects, int num)
| Set the content of a region. More...
EAPI void | ecore_x_region_copy (Ecore_X_Region dest, Ecore_X_Region source)
| Copy the content of a region. More...
EAPI void | ecore_x_region_combine (Ecore_X_Region dest, Ecore_X_Region source1, Ecore_X_Region source2)
| Make the union of two regions. More...
EAPI void | ecore_x_region_intersect (Ecore_X_Region dest, Ecore_X_Region source1, Ecore_X_Region source2)
| Make the intersection of two regions. More...
EAPI void | ecore_x_region_subtract (Ecore_X_Region dest, Ecore_X_Region source1, Ecore_X_Region source2)
| Make the subtraction of two regions. More...
EAPI void | ecore_x_region_invert (Ecore_X_Region dest, Ecore_X_Rectangle *bounds, Ecore_X_Region source)
| Make the subtraction of regions by bounds. More...
EAPI void | ecore_x_region_translate (Ecore_X_Region region, int dx, int dy)
| Translate a region. More...
EAPI void | ecore_x_region_extents (Ecore_X_Region dest, Ecore_X_Region source)
| Extent a region. More...
EAPI Ecore_X_Rectangle * | ecore_x_region_fetch (Ecore_X_Region region, int *num, Ecore_X_Rectangle *bounds)
| Return the rectangles that compose a region. More...
EAPI void | ecore_x_region_expand (Ecore_X_Region dest, Ecore_X_Region source, unsigned int left, unsigned int right, unsigned int top, unsigned int bottom)
| Expand a region. More...
EAPI void | ecore_x_region_gc_clip_set (Ecore_X_Region region, Ecore_X_GC gc, int x_origin, int y_origin)
| Change clip-mask in a graphic context to the specified region. More...
EAPI void | ecore_x_region_window_shape_set (Ecore_X_Region region, Ecore_X_Window win, Ecore_X_Shape_Type type, int x_offset, int y_offset)
| Change the shape extension of a window. More...
EAPI void | ecore_x_region_picture_clip_set (Ecore_X_Region region, Ecore_X_Picture picture, int x_origin, int y_origin)
| Change clip-mask in picture to the specified region. More...
EAPI Eina_Bool | ecore_x_fixes_selection_notification_request (Ecore_X_Atom selection)
| xfixes selection notification request. More...
EAPI Eina_Bool | ecore_x_composite_query (void)
| Return whether the Composite Extension is available. More...
EAPI void | ecore_x_composite_redirect_window (Ecore_X_Window win, Ecore_X_Composite_Update_Type type)
EAPI void | ecore_x_composite_redirect_subwindows (Ecore_X_Window win, Ecore_X_Composite_Update_Type type)
EAPI void | ecore_x_composite_unredirect_window (Ecore_X_Window win, Ecore_X_Composite_Update_Type type)
EAPI void | ecore_x_composite_unredirect_subwindows (Ecore_X_Window win, Ecore_X_Composite_Update_Type type)
EAPI Ecore_X_Pixmap | ecore_x_composite_name_window_pixmap_get (Ecore_X_Window win)
EAPI void | ecore_x_composite_window_events_disable (Ecore_X_Window win)
EAPI void | ecore_x_composite_window_events_enable (Ecore_X_Window win)
EAPI Ecore_X_Window | ecore_x_composite_render_window_enable (Ecore_X_Window root)
EAPI void | ecore_x_composite_render_window_disable (Ecore_X_Window root)
EAPI void | ecore_x_present_select_events (Ecore_X_Window win, unsigned int events)
EAPI void | ecore_x_present_notify_msc (Ecore_X_Window win, unsigned int serial, unsigned long long target_msc, unsigned long long divisor, unsigned long long remainder)
EAPI void | ecore_x_present_pixmap (Ecore_X_Window win, Ecore_X_Pixmap pixmap, unsigned int serial, Ecore_X_Region valid, Ecore_X_Region update, int x_off, int y_off, Ecore_X_Randr_Crtc target_crtc, Ecore_X_Sync_Fence wait_fence, Ecore_X_Sync_Fence idle_fence, unsigned int options, unsigned long long target_msc, unsigned long long divisor, unsigned long long remainder, Ecore_X_Present *notifies, int num_notifies)
EAPI Eina_Bool | ecore_x_present_exists (void)
EAPI Eina_Bool | ecore_x_damage_query (void)
EAPI Ecore_X_Damage | ecore_x_damage_new (Ecore_X_Drawable d, Ecore_X_Damage_Report_Level level)
| Create a damage object. More...
EAPI void | ecore_x_damage_free (Ecore_X_Damage damage)
| Destroy a damage object. More...
EAPI void | ecore_x_damage_subtract (Ecore_X_Damage damage, Ecore_X_Region repair, Ecore_X_Region parts)
| Synchronously modifies the region. More...
EAPI Eina_Bool | ecore_x_screen_is_composited (int screen)
EAPI void | ecore_x_screen_is_composited_set (int screen, Ecore_X_Window win)
EAPI Eina_Bool | ecore_x_dpms_query (void)
| Checks if the X DPMS extension is available on the server. More...
EAPI Eina_Bool | ecore_x_dpms_capable_get (void)
| Checks if the X server is capable of DPMS. More...
EAPI Eina_Bool | ecore_x_dpms_enabled_get (void)
| Checks the DPMS state of the display. More...
EAPI void | ecore_x_dpms_enabled_set (int enabled)
| Sets the DPMS state of the display. More...
EAPI Ecore_X_Dpms_Mode | ecore_x_dpms_power_level_get (void)
| Check the DPMS power level. More...
EAPI void | ecore_x_dpms_timeouts_get (unsigned int *standby, unsigned int *suspend, unsigned int *off)
| Gets the timeouts. More...
EAPI Eina_Bool | ecore_x_dpms_timeouts_set (unsigned int standby, unsigned int suspend, unsigned int off)
| Sets the timeouts. More...
EAPI unsigned int | ecore_x_dpms_timeout_standby_get (void)
| Returns the amount of time of inactivity before standby mode is invoked. More...
EAPI unsigned int | ecore_x_dpms_timeout_suspend_get (void)
| Returns the amount of time of inactivity before the second level of power saving is invoked. More...
EAPI unsigned int | ecore_x_dpms_timeout_off_get (void)
| Returns the amount of time of inactivity before the third and final level of power saving is invoked. More...
EAPI void | ecore_x_dpms_timeout_standby_set (unsigned int new_timeout)
| Sets the standby timeout (in unit of seconds). More...
EAPI void | ecore_x_dpms_timeout_suspend_set (unsigned int new_timeout)
| Sets the suspend timeout (in unit of seconds). More...
EAPI void | ecore_x_dpms_timeout_off_set (unsigned int new_timeout)
| Sets the off timeout (in unit of seconds). More...
EAPI Eina_Bool | ecore_x_test_fake_key_down (const char *key)
EAPI Eina_Bool | ecore_x_test_fake_key_up (const char *key)
EAPI Eina_Bool | ecore_x_test_fake_key_press (const char *key)
EAPI const char * | ecore_x_keysym_string_get (int keysym)
EAPI int | ecore_x_keysym_keycode_get (const char *keyname)
| Given a keyname, return the keycode representing that key. More...
EAPI Ecore_X_Image * | ecore_x_image_new (int w, int h, Ecore_X_Visual vis, int depth)
EAPI void | ecore_x_image_free (Ecore_X_Image *im)
EAPI Eina_Bool | ecore_x_image_get (Ecore_X_Image *im, Ecore_X_Drawable draw, int x, int y, int sx, int sy, int w, int h)
EAPI void | ecore_x_image_put (Ecore_X_Image *im, Ecore_X_Drawable draw, Ecore_X_GC gc, int x, int y, int sx, int sy, int w, int h)
EAPI void * | ecore_x_image_data_get (Ecore_X_Image *im, int *bpl, int *rows, int *bpp)
EAPI Eina_Bool | ecore_x_image_is_argb32_get (Ecore_X_Image *im)
EAPI Eina_Bool | ecore_x_image_to_argb_convert (void *src, int sbpp, int sbpl, Ecore_X_Colormap c, Ecore_X_Visual v, int x, int y, int w, int h, unsigned int *dst, int dbpl, int dx, int dy)
EAPI Eina_Bool | ecore_x_input_multi_select (Ecore_X_Window win)
EAPI Eina_Bool | ecore_x_input_raw_select (Ecore_X_Window win)
EAPI Eina_Bool | ecore_x_vsync_animator_tick_source_set (Ecore_X_Window win)
EAPI Eina_Bool | ecore_x_gesture_supported (void)
EAPI Eina_Bool | ecore_x_gesture_events_select (Ecore_X_Window win, Ecore_X_Gesture_Event_Mask mask)
EAPI Ecore_X_Gesture_Event_Mask | ecore_x_gesture_events_selected_get (Ecore_X_Window win)
EAPI Eina_Bool | ecore_x_gesture_event_grab (Ecore_X_Window win, Ecore_X_Gesture_Event_Type type, int num_fingers)
EAPI Eina_Bool | ecore_x_gesture_event_ungrab (Ecore_X_Window win, Ecore_X_Gesture_Event_Type type, int num_fingers)
EAPI void | ecore_x_e_illume_indicator_state_set (Ecore_X_Window win, Ecore_X_Illume_Indicator_State state)
EAPI Ecore_X_Illume_Indicator_State | ecore_x_e_illume_indicator_state_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_indicator_state_send (Ecore_X_Window win, Ecore_X_Illume_Indicator_State state)
EAPI void | ecore_x_e_illume_indicator_opacity_set (Ecore_X_Window win, Ecore_X_Illume_Indicator_Opacity_Mode mode)
EAPI Ecore_X_Illume_Indicator_Opacity_Mode | ecore_x_e_illume_indicator_opacity_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_indicator_opacity_send (Ecore_X_Window win, Ecore_X_Illume_Indicator_Opacity_Mode mode)
EAPI void | ecore_x_e_illume_indicator_type_set (Ecore_X_Window win, Ecore_X_Illume_Indicator_Type_Mode mode)
EAPI Ecore_X_Illume_Indicator_Type_Mode | ecore_x_e_illume_indicator_type_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_indicator_type_send (Ecore_X_Window win, Ecore_X_Illume_Indicator_Type_Mode mode)
EAPI void | ecore_x_e_illume_window_state_set (Ecore_X_Window win, Ecore_X_Illume_Window_State state)
EAPI Ecore_X_Illume_Window_State | ecore_x_e_illume_window_state_get (Ecore_X_Window win)
EAPI void | ecore_x_e_illume_window_state_send (Ecore_X_Window win, Ecore_X_Illume_Window_State state)
EAPI void | ecore_x_xkb_select_group (int group)
EAPI void | ecore_x_e_window_rotation_supported_set (Ecore_X_Window root, Eina_Bool enabled)
EAPI Eina_Bool | ecore_x_e_window_rotation_supported_get (Ecore_X_Window root)
EAPI void | ecore_x_e_window_rotation_app_set (Ecore_X_Window win, Eina_Bool set)
EAPI Eina_Bool | ecore_x_e_window_rotation_app_get (Ecore_X_Window win)
EAPI void | ecore_x_e_window_rotation_preferred_rotation_set (Ecore_X_Window win, int rot)
EAPI Eina_Bool | ecore_x_e_window_rotation_preferred_rotation_get (Ecore_X_Window win, int *rot)
EAPI void | ecore_x_e_window_rotation_available_rotations_set (Ecore_X_Window win, const int *rots, unsigned int count)
EAPI Eina_Bool | ecore_x_e_window_rotation_available_rotations_get (Ecore_X_Window win, int **rots, unsigned int *count)
EAPI void | ecore_x_e_window_rotation_change_prepare_send (Ecore_X_Window win, int rot, Eina_Bool resize, int w, int h)
EAPI void | ecore_x_e_window_rotation_change_prepare_done_send (Ecore_X_Window root, Ecore_X_Window win, int rot)
EAPI void | ecore_x_e_window_rotation_change_request_send (Ecore_X_Window win, int rot)
EAPI void | ecore_x_e_window_rotation_change_done_send (Ecore_X_Window root, Ecore_X_Window win, int rot, int w, int h)

## Variables
EAPI Ecore_X_Version * | ecore_x_version
EAPI int | ECORE_X_EVENT_ANY
| low level event dependent on backend in use, if Xlib will be XEvent, if XCB will be xcb_generic_event_t. More...
EAPI int | ECORE_X_EVENT_MOUSE_IN
EAPI int | ECORE_X_EVENT_MOUSE_OUT
EAPI int | ECORE_X_EVENT_WINDOW_FOCUS_IN
EAPI int | ECORE_X_EVENT_WINDOW_FOCUS_OUT
EAPI int | ECORE_X_EVENT_WINDOW_KEYMAP
EAPI int | ECORE_X_EVENT_WINDOW_DAMAGE
EAPI int | ECORE_X_EVENT_WINDOW_VISIBILITY_CHANGE
EAPI int | ECORE_X_EVENT_WINDOW_CREATE
EAPI int | ECORE_X_EVENT_WINDOW_DESTROY
EAPI int | ECORE_X_EVENT_WINDOW_HIDE
EAPI int | ECORE_X_EVENT_WINDOW_SHOW
EAPI int | ECORE_X_EVENT_WINDOW_SHOW_REQUEST
EAPI int | ECORE_X_EVENT_WINDOW_REPARENT
EAPI int | ECORE_X_EVENT_WINDOW_CONFIGURE
EAPI int | ECORE_X_EVENT_WINDOW_CONFIGURE_REQUEST
EAPI int | ECORE_X_EVENT_WINDOW_GRAVITY
EAPI int | ECORE_X_EVENT_WINDOW_RESIZE_REQUEST
EAPI int | ECORE_X_EVENT_WINDOW_STACK
EAPI int | ECORE_X_EVENT_WINDOW_STACK_REQUEST
EAPI int | ECORE_X_EVENT_WINDOW_PROPERTY
EAPI int | ECORE_X_EVENT_WINDOW_COLORMAP
EAPI int | ECORE_X_EVENT_WINDOW_MAPPING
EAPI int | ECORE_X_EVENT_MAPPING_CHANGE
EAPI int | ECORE_X_EVENT_SELECTION_CLEAR
EAPI int | ECORE_X_EVENT_SELECTION_REQUEST
EAPI int | ECORE_X_EVENT_SELECTION_NOTIFY
EAPI int | ECORE_X_EVENT_FIXES_SELECTION_NOTIFY
EAPI int | ECORE_X_EVENT_CLIENT_MESSAGE
EAPI int | ECORE_X_EVENT_WINDOW_SHAPE
EAPI int | ECORE_X_EVENT_SCREENSAVER_NOTIFY
EAPI int | ECORE_X_EVENT_GESTURE_NOTIFY_FLICK
EAPI int | ECORE_X_EVENT_GESTURE_NOTIFY_PAN
EAPI int | ECORE_X_EVENT_GESTURE_NOTIFY_PINCHROTATION
EAPI int | ECORE_X_EVENT_GESTURE_NOTIFY_TAP
EAPI int | ECORE_X_EVENT_GESTURE_NOTIFY_TAPNHOLD
EAPI int | ECORE_X_EVENT_GESTURE_NOTIFY_HOLD
EAPI int | ECORE_X_EVENT_GESTURE_NOTIFY_GROUP
EAPI int | ECORE_X_EVENT_SYNC_COUNTER
EAPI int | ECORE_X_EVENT_SYNC_ALARM
EAPI int | ECORE_X_EVENT_SCREEN_CHANGE
EAPI int | ECORE_X_EVENT_RANDR_CRTC_CHANGE
EAPI int | ECORE_X_EVENT_RANDR_OUTPUT_CHANGE
EAPI int | ECORE_X_EVENT_RANDR_OUTPUT_PROPERTY_NOTIFY
EAPI int | ECORE_X_EVENT_DAMAGE_NOTIFY
EAPI int | ECORE_X_EVENT_WINDOW_DELETE_REQUEST
EAPI int | ECORE_X_EVENT_WINDOW_MOVE_RESIZE_REQUEST
EAPI int | ECORE_X_EVENT_WINDOW_STATE_REQUEST
EAPI int | ECORE_X_EVENT_FRAME_EXTENTS_REQUEST
EAPI int | ECORE_X_EVENT_PING
EAPI int | ECORE_X_EVENT_DESKTOP_CHANGE
EAPI int | ECORE_X_EVENT_STARTUP_SEQUENCE_NEW
EAPI int | ECORE_X_EVENT_STARTUP_SEQUENCE_CHANGE
EAPI int | ECORE_X_EVENT_STARTUP_SEQUENCE_REMOVE
EAPI int | ECORE_X_EVENT_XKB_STATE_NOTIFY
EAPI int | ECORE_X_EVENT_XKB_NEWKBD_NOTIFY
EAPI int | ECORE_X_EVENT_GENERIC
EAPI int | ECORE_X_EVENT_PRESENT_CONFIGURE
EAPI int | ECORE_X_EVENT_PRESENT_COMPLETE
EAPI int | ECORE_X_EVENT_PRESENT_IDLE
EAPI int | ECORE_X_EVENT_XDND_ENTER
EAPI int | ECORE_X_EVENT_XDND_POSITION
EAPI int | ECORE_X_EVENT_XDND_STATUS
EAPI int | ECORE_X_EVENT_XDND_LEAVE
EAPI int | ECORE_X_EVENT_XDND_DROP
EAPI int | ECORE_X_EVENT_XDND_FINISHED
EAPI int | ECORE_X_MODIFIER_SHIFT
EAPI int | ECORE_X_MODIFIER_CTRL
EAPI int | ECORE_X_MODIFIER_ALT
EAPI int | ECORE_X_MODIFIER_WIN
EAPI int | ECORE_X_MODIFIER_ALTGR
EAPI int | ECORE_X_LOCK_SCROLL
EAPI int | ECORE_X_LOCK_NUM
EAPI int | ECORE_X_LOCK_CAPS
EAPI int | ECORE_X_LOCK_SHIFT
EAPI int | ECORE_X_RAW_BUTTON_PRESS
EAPI int | ECORE_X_RAW_BUTTON_RELEASE
EAPI int | ECORE_X_RAW_MOTION

## Detailed Description

Ecore functions for dealing with the X Windows System.

## Typedef Documentation

typedef Ecore_X_ID Ecore_X_Sync_Fence

Since
  1.9

typedef struct Ecore_X_Event_Present_Configure Ecore_X_Event_Present_Configure

Since
  1.9

typedef struct Ecore_X_Event_Present_Complete Ecore_X_Event_Present_Complete

Since
  1.9

typedef struct Ecore_X_Event_Present_Idle Ecore_X_Event_Present_Idle

Since
  1.9

typedef struct _Ecore_X_Randr_Crtc_Info Ecore_X_Randr_Crtc_Info

Since
  1.8

typedef enum Ecore_X_Present_Event_Mask Ecore_X_Present_Event_Mask

Since
  1.9

typedef struct Ecore_X_Present Ecore_X_Present

Since
  1.9

typedef enum _Ecore_X_Illume_Indicator_Type_Mode Ecore_X_Illume_Indicator_Type_Mode

Since
  1.8

typedef struct _Ecore_X_Window_Attributes Ecore_X_Window_Attributes

Since
  1.11

## Enumeration Type Documentation

enum _Ecore_X_Window_State

Defines the different states of the window of Ecore_X.

Enumerator
ECORE_X_WINDOW_STATE_MODAL | The window is iconified.
ECORE_X_WINDOW_STATE_STICKY | The window is a modal dialog box.
ECORE_X_WINDOW_STATE_MAXIMIZED_VERT | The window manager should keep the window's position fixed even if the virtual desktop scrolls.
ECORE_X_WINDOW_STATE_MAXIMIZED_HORZ | The window has the maximum vertical size.
ECORE_X_WINDOW_STATE_SHADED | The window has the maximum horizontal size.
ECORE_X_WINDOW_STATE_SKIP_TASKBAR | The window is shaded.
ECORE_X_WINDOW_STATE_SKIP_PAGER | The window should not be included in the taskbar.
ECORE_X_WINDOW_STATE_HIDDEN | The window should not be included in the pager.
ECORE_X_WINDOW_STATE_FULLSCREEN | The window is invisible (i.e. minimized/iconified)
ECORE_X_WINDOW_STATE_ABOVE | The window should fill the entire screen and have no window border/decorations.

enum _Ecore_X_Error_Code

Defines the error codes of Ecore_X which wraps the X Window Systems protocol's errors.

Since
  1.7.0

Enumerator
ECORE_X_ERROR_CODE_SUCCESS | Everything is okay.
ECORE_X_ERROR_CODE_BAD_REQUEST | Bad request code.
ECORE_X_ERROR_CODE_BAD_VALUE | Int parameter out of range.
ECORE_X_ERROR_CODE_BAD_WINDOW | Parameter not a Window.
ECORE_X_ERROR_CODE_BAD_PIXMAP | Parameter not a Pixmap.
ECORE_X_ERROR_CODE_BAD_ATOM | Parameter not an Atom.
ECORE_X_ERROR_CODE_BAD_CURSOR | Parameter not a Cursor.
ECORE_X_ERROR_CODE_BAD_FONT | Parameter not a Font.
ECORE_X_ERROR_CODE_BAD_MATCH | Parameter mismatch.
ECORE_X_ERROR_CODE_BAD_DRAWABLE | Parameter not a Pixmap or Window.
ECORE_X_ERROR_CODE_BAD_ACCESS | Bad access.
ECORE_X_ERROR_CODE_BAD_ALLOC | Insufficient resources.
ECORE_X_ERROR_CODE_BAD_COLOR | No such colormap.
ECORE_X_ERROR_CODE_BAD_GC | Parameter not a GC.
ECORE_X_ERROR_CODE_BAD_ID_CHOICE | Choice not in range or already used.
ECORE_X_ERROR_CODE_BAD_NAME | Font or color name doesn't exist.
ECORE_X_ERROR_CODE_BAD_LENGTH | Request length incorrect.
ECORE_X_ERROR_CODE_BAD_IMPLEMENTATION | Server is defective.

enum _Ecore_X_WM_Protocol

Enumerator
ECORE_X_WM_PROTOCOL_DELETE_REQUEST | If enabled the window manager will be asked to send a delete message instead of just closing (destroying) the window.
ECORE_X_WM_PROTOCOL_TAKE_FOCUS | If enabled the window manager will be told that the window explicitly sets input focus.
ECORE_X_NET_WM_PROTOCOL_PING | If enabled the window manager can ping the window to check if it is alive.
ECORE_X_NET_WM_PROTOCOL_SYNC_REQUEST | If enabled the window manager can sync updating with the window (?)
ECORE_X_WM_PROTOCOL_NUM | Number of defined items.

enum _Ecore_X_Window_Input_Mode

Enumerator
ECORE_X_WINDOW_INPUT_MODE_NONE | The window can never be focused.
ECORE_X_WINDOW_INPUT_MODE_PASSIVE | The window can be focused by the WM but doesn't focus itself.
ECORE_X_WINDOW_INPUT_MODE_ACTIVE_LOCAL | The window sets the focus itself if one of its sub-windows already is focused.
ECORE_X_WINDOW_INPUT_MODE_ACTIVE_GLOBAL | The window sets the focus itself even if another window is currently focused.

enum _Ecore_X_Window_State_Hint

Defines the different state hint of the window of Ecore_X.

Enumerator
ECORE_X_WINDOW_STATE_HINT_NONE | Do not provide any state hint to the window manager.
ECORE_X_WINDOW_STATE_HINT_WITHDRAWN | The window wants to remain hidden and NOT iconified.
ECORE_X_WINDOW_STATE_HINT_NORMAL | The window wants to be mapped normally.
ECORE_X_WINDOW_STATE_HINT_ICONIC | The window wants to start in an iconified state.

## Function Documentation

EAPI void ecore_x_killall | ( | Ecore_X_Window | root | ) |

Kill all clients with subwindows under a given window.

You can kill all clients connected to the X server by using ecore_x_window_root_list to get a list of root windows, and then passing each root window to this function.

Parameters

  root | The window whose children will be killed.

References ecore_x_sync().

EAPI void ecore_x_kill | ( | Ecore_X_Window | win | ) |

Kill a specific client.

You can kill a specific client owning window `win`

Parameters

  win | Window of the client to be killed

EAPI int ecore_x_dpi_get | ( | void |  | ) |

Return the screen DPI.

This is a simplistic call to get DPI. It does not account for differing DPI in the x amd y axes nor does it account for multihead or xinerama and xrander where different parts of the screen may have differen DPI etc.

Returns
  the general screen DPI (dots/pixels per inch).

This is a simplistic call to get DPI. It does not account for differing DPI in the x amd y axes nor does it account for multihead or xinerama and xrander where different parts of the screen may have different DPI etc.

Returns
  the general screen DPI (dots/pixels per inch).

EAPI Eina_Bool ecore_x_bell | ( | int | percent | ) |

Invoke the standard system beep to alert users.

Parameters

  percent | The volume at which the bell rings. Must be in the range [-100,+100]. If percent >= 0, the final volume will be: base - [(base * percent) / 100] + percent Otherwise, it's calculated as: base + [(base * percent) / 100] where `base` is the bell's base volume as set by XChangeKeyboardControl(3).

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise.

Parameters

  percent | The volume at which the bell rings. Must be in the range [-100,+100]. If percent >= 0, the final volume will be: base - [(base * percent) / 100] + percent Otherwise, it's calculated as: base + [(base * percent) / 100] where `base` is the bell's base volume as set by XChangeKeyboardControl(3).

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise.

References EINA_FALSE, and EINA_TRUE.

EAPI unsigned int ecore_x_visual_id_get | ( | Ecore_X_Visual | visual | ) |

Retrieve the Visual ID from a given Visual.

Parameters

  visual | The Visual to get the ID for.

Returns
  The visual id.

Since
  1.1.0

EAPI Ecore_X_Visual ecore_x_default_visual_get | ( | Ecore_X_Display * | disp,
|  | Ecore_X_Screen * | screen
| ) |  |

Retrieve the default Visual.

Parameters

  disp | The Display to get the Default Visual from
  screen | The Screen.

Returns
  The default visual.

Since
  1.1.0

EAPI Ecore_X_Colormap ecore_x_default_colormap_get | ( | Ecore_X_Display * | disp,
|  | Ecore_X_Screen * | screen
| ) |  |

Retrieve the default Colormap.

Parameters

  disp | The Display to get the Default Colormap from
  screen | The Screen.

Returns
  The default colormap.

Since
  1.1.0

EAPI int ecore_x_default_depth_get | ( | Ecore_X_Display * | disp,
|  | Ecore_X_Screen * | screen
| ) |  |

Retrieve the default depth.

Parameters

  disp | The Display to get the Default Depth from
  screen | The Screen.

Returns
  The default depth.

Since
  1.1.0

EAPI void ecore_x_error_handler_set | ( | void(*)(void *data) | func,
|  | const void * | data
| ) |  |

Set the error handler.

Parameters

  func | The error handler function
  data | The data to be passed to the handler function

Set the X error handler function

EAPI void ecore_x_io_error_handler_set | ( | void(*)(void *data) | func,
|  | const void * | data
| ) |  |

Set the I/O error handler.

Parameters

  func | The I/O error handler function
  data | The data to be passed to the handler function

Set the X I/O error handler function

EAPI int ecore_x_error_request_get | ( | void |  | ) |

Get the request code that caused the error.

Returns
  The request code causing the X error

Return the X request code that caused the last X error

EAPI int ecore_x_error_code_get | ( | void |  | ) |

Get the error code from the error.

Returns
  The error code from the X error

Return the error code from the last X error

EAPI Ecore_X_ID ecore_x_error_resource_id_get | ( | void |  | ) |

Get the resource id that caused the error.

Returns
  The resource id causing the X error

Return the X resource id that caused the last X error

EAPI Eina_Bool ecore_x_selection_primary_set | ( | Ecore_X_Window | w,
|  | const void * | data,
|  | int | size
| ) |  |

Claim ownership of the PRIMARY selection and set its data.

Parameters

  w | The window to which this selection belongs
  data | The data associated with the selection
  size | The size of the data buffer in bytes

Returns
  Returns 1 if the ownership of the selection was successfully claimed, or 0 if unsuccessful.

EAPI Eina_Bool ecore_x_selection_primary_clear | ( | void |  | ) |

Release ownership of the primary selection.

Returns
  Returns 1 if the selection was successfully cleared, or 0 if unsuccessful.

EAPI Eina_Bool ecore_x_selection_secondary_set | ( | Ecore_X_Window | w,
|  | const void * | data,
|  | int | size
| ) |  |

Claim ownership of the SECONDARY selection and set its data.

Parameters

  w | The window to which this selection belongs
  data | The data associated with the selection
  size | The size of the data buffer in bytes

Returns
  Returns 1 if the ownership of the selection was successfully claimed, or 0 if unsuccessful.

EAPI Eina_Bool ecore_x_selection_secondary_clear | ( | void |  | ) |

Release ownership of the secondary selection.

Returns
  Returns 1 if the selection was successfully cleared, or 0 if unsuccessful.

EAPI Eina_Bool ecore_x_selection_xdnd_set | ( | Ecore_X_Window | w,
|  | const void * | data,
|  | int | size
| ) |  |

Claim ownership of the XDND selection and set its data.

Parameters

  w | The window to which this selection belongs
  data | The data associated with the selection
  size | The size of the data buffer in bytes

Returns
  Returns 1 if the ownership of the selection was successfully claimed, or 0 if unsuccessful.

EAPI Eina_Bool ecore_x_selection_xdnd_clear | ( | void |  | ) |

Release ownership of the XDND selection.

Returns
  Returns 1 if the selection was successfully cleared, or 0 if unsuccessful.

EAPI Eina_Bool ecore_x_selection_clipboard_set | ( | Ecore_X_Window | w,
|  | const void * | data,
|  | int | size
| ) |  |

Claim ownership of the CLIPBOARD selection and set its data.

Parameters

  w | The window to which this selection belongs
  data | The data associated with the selection
  size | The size of the data buffer in bytes

Returns
  Returns 1 if the ownership of the selection was successfully claimed, or 0 if unsuccessful.

Get the converted data from a previous CLIPBOARD selection request. The buffer must be freed when done with.

EAPI Eina_Bool ecore_x_selection_clipboard_clear | ( | void |  | ) |

Release ownership of the clipboard selection.

Returns
  Returns 1 if the selection was successfully cleared, or 0 if unsuccessful.

EAPI void ecore_x_selection_owner_set | ( | Ecore_X_Window | win,
|  | Ecore_X_Atom | atom,
|  | Ecore_X_Time | tim
| ) |  |

Change the owner and last-change time for the specified selection.

Parameters

  win | The owner of the specified atom.
  atom | The selection atom
  tim | Specifies the time

Since
  1.1.0

EAPI Ecore_X_Window ecore_x_selection_owner_get | ( | Ecore_X_Atom | atom | ) |

Return the window that currently owns the specified selection.

Parameters

  atom | The specified selection atom.

Returns
  The window that currently owns the specified selection.

Since
  1.1.0

EAPI void ecore_x_dnd_aware_set | ( | Ecore_X_Window | win,
|  | Eina_Bool | on
| ) |  |

Since
  1.8

References ecore_x_window_prop_property_set().

EAPI Eina_Bool ecore_x_dnd_self_begin | ( | Ecore_X_Window | source,
|  | unsigned char * | data,
|  | int | size
| ) |  |

Since
  1.8

References EINA_TRUE.

EAPI Eina_Bool ecore_x_dnd_self_drop | ( | void |  | ) |

Since
  1.8

References EINA_TRUE.

Referenced by ecore_x_dnd_abort().

EAPI void ecore_x_dnd_callback_pos_update_set | ( | void(*)(void *, Ecore_X_Xdnd_Position *data) | cb,
|  | const void * | data
| ) |  |

The DND position update cb is called Ecore_X sends a DND position to a client.

It essentially mirrors some of the data sent in the position message. Generally this cb should be set just before position update is called. Please note well you need to look after your own data pointer if someone trashes you position update cb set.

It is considered good form to clear this when the dnd event finishes.

Parameters

  cb | Callback to updated each time ecore_x sends a position update.
  data | User data.

EAPI Eina_Bool ecore_x_dnd_abort | ( | Ecore_X_Window | xwin_source | ) |

Since
  1.9

References ecore_x_dnd_self_drop(), and EINA_FALSE.

EAPI Ecore_X_Window ecore_x_window_full_new | ( | Ecore_X_Window | parent,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | Ecore_X_Visual * | visual,
|  | Ecore_X_Colormap | colormap,
|  | int | depth,
|  | Eina_Bool | override
| ) |  |

Since
  1.12

References ecore_x_window_defaults_set().

EAPI void ecore_x_window_ignore_set | ( | Ecore_X_Window | win,
|  | int | ignore
| ) |  |

Set if a window should be ignored.

Parameters

  win | The given window.
  ignore | if to ignore

EAPI Ecore_X_Window* ecore_x_window_ignore_list | ( | int * | num | ) |

Get the ignore list.

Parameters

  num | number of windows in the list

Returns
  list of windows to ignore

EAPI void ecore_x_window_show | ( | Ecore_X_Window | win | ) |

Shows a window.

Synonymous to "mapping" a window in X Window System terminology.

Parameters

  win | The window to show.

EAPI void ecore_x_window_hide | ( | Ecore_X_Window | win | ) |

Hides a window.

Synonymous to "unmapping" a window in X Window System terminology.

Parameters

  win | The window to hide.

EAPI int ecore_x_window_depth_get | ( | Ecore_X_Window | win | ) |

Retrieves the depth of the given window.

Parameters

  win | The given window.

Returns
  Depth of the window.

References ecore_x_drawable_depth_get().

EAPI void ecore_x_window_cursor_show | ( | Ecore_X_Window | win,
|  | Eina_Bool | show
| ) |  |

Show the cursor on a window of type Ecore_X_Window.

Parameters

  win | The window for which the cursor will be showed.
  show | Enables the show of the cursor on the window if equals EINA_TRUE, disables if equals EINA_FALSE.

EAPI void ecore_x_window_background_color_set | ( | Ecore_X_Window | win,
|  | unsigned short | r,
|  | unsigned short | g,
|  | unsigned short | b
| ) |  |

Sets the background color of the given window.

Parameters

  win | The given window
  r | red value (0...65536, 16 bits)
  g | green value (0...65536, 16 bits)
  b | blue value (0...65536, 16 bits)

EAPI void ecore_x_window_prop_property_set | ( | Ecore_X_Window | win,
|  | Ecore_X_Atom | property,
|  | Ecore_X_Atom | type,
|  | int | size,
|  | void * | data,
|  | int | number
| ) |  |

Set a property of Ecore_X_Window.

Parameters

  win | The window for which the property will be set.
  property | The property of the window to be set.
  type | The type of the property that will be set.
  size | The size of the property that will be set.
  data | The data of the property that will be set.
  number | The size of data.

Referenced by ecore_x_dnd_aware_set(), ecore_x_e_window_available_profiles_set(), ecore_x_e_window_profile_list_set(), ecore_x_e_window_profile_set(), ecore_x_icccm_colormap_window_set(), ecore_x_icccm_colormap_window_unset(), and ecore_x_mwm_borderless_set().

EAPI int ecore_x_window_prop_property_get | ( | Ecore_X_Window | win,
|  | Ecore_X_Atom | property,
|  | Ecore_X_Atom | type,
|  | int | size,
|  | unsigned char ** | data,
|  | int * | num
| ) |  |

Get a property of Ecore_X_Window.

Note
  If there aren't any data to be got the function return NULL. If the function can't allocate the memory then 0 is returned.

Parameters

  win | The window for which the property will be got.
  property | The property of the window that will be gotten.
  type | The type of the property that will be gotten.
  size | This parameter isn't in use.
  data | The data of the property that will be gotten.
  num | The size of property.

Returns
  size_ret The size of array that contains the property.

Referenced by ecore_x_e_window_available_profiles_get(), ecore_x_e_window_profile_get(), ecore_x_e_window_profile_list_get(), ecore_x_e_window_rotation_available_rotations_get(), ecore_x_icccm_colormap_window_set(), and ecore_x_icccm_colormap_window_unset().

EAPI void ecore_x_window_prop_string_set | ( | Ecore_X_Window | win,
|  | Ecore_X_Atom | type,
|  | const char * | str
| ) |  |

Set a window string property.

Parameters

  win | The window
  type | The property
  str | The string

Set a window string property

Referenced by ecore_x_icccm_window_role_set().

EAPI char* ecore_x_window_prop_string_get | ( | Ecore_X_Window | win,
|  | Ecore_X_Atom | type
| ) |  |

Get a window string property.

Parameters

  win | The window
  type | The property

Returns
  Window string property of a window. String must be free'd when done.

References EINA_FALSE.

Referenced by ecore_x_icccm_window_role_get().

EAPI Ecore_X_WM_Protocol* ecore_x_window_prop_protocol_list_get | ( | Ecore_X_Window | win,
|  | int * | num_ret
| ) |  |

Get a array containing the protocols of win.

Note
  If there aren't any properties to be counted or any protocols to get then the function returns NULL.

Parameters

  win | The window for which protocol list will be got.
  num_ret | Contains the number of elements of the array to be returned.

Returns
  The array that contains the protocols.

References ECORE_X_WM_PROTOCOL_NUM.

EAPI Ecore_X_GC ecore_x_gc_new | ( | Ecore_X_Drawable | draw,
|  | Ecore_X_GC_Value_Mask | value_mask,
|  | const unsigned int * | value_list
| ) |  |

Creates a new default graphics context associated with the given drawable.

Parameters

  draw | Drawable to create graphics context with. If `0` is given instead, the default root window is used.
  value_mask | Bitmask values.
  value_list | List of values. The order of values must be the same than the corresponding bitmaks.

Returns
  The new default graphics context.

EAPI void ecore_x_gc_free | ( | Ecore_X_GC | gc | ) |

Deletes and frees the given graphics context.

Parameters

  gc | The given graphics context.

EAPI Eina_Bool ecore_x_client_message32_send | ( | Ecore_X_Window | win,
|  | Ecore_X_Atom | type,
|  | Ecore_X_Event_Mask | mask,
|  | long | d0,
|  | long | d1,
|  | long | d2,
|  | long | d3,
|  | long | d4
| ) |  |

Send client message with given type and format 32.

Parameters

  win | The window the message is sent to.
  type | The client message type.
  mask | The mask of the message to be sent.
  d0 | The client message data item 1
  d1 | The client message data item 2
  d2 | The client message data item 3
  d3 | The client message data item 4
  d4 | The client message data item 5

Returns
  `EINA_TRUE` on success `EINA_FALSE` otherwise.

References DBG, EINA_FALSE, and EINA_TRUE.

Referenced by ecore_x_e_illume_indicator_type_send(), ecore_x_e_illume_window_state_send(), ecore_x_e_window_rotation_change_prepare_send(), ecore_x_e_window_rotation_change_request_send(), and ecore_x_window_delete_request_send().

EAPI Eina_Bool ecore_x_client_message8_send | ( | Ecore_X_Window | win,
|  | Ecore_X_Atom | type,
|  | const void * | data,
|  | int | len
| ) |  |

Send client message with given type and format 8.

Parameters

  win | The window the message is sent to.
  type | The client message type.
  data | Data to be sent.
  len | Number of data bytes, max `20`.

Returns
  `EINA_TRUE` on success `EINA_FALSE` otherwise.

Parameters

  win | The window the message is sent to.
  type | The client message type.
  data | Data to be sent.
  len | Number of data bytes, max `20`.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise.

References DBG, EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_drawable_rectangle_fill | ( | Ecore_X_Drawable | d,
|  | Ecore_X_GC | gc,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |  |

Fill the specified rectangle on a drawable.

Parameters

  d | The given drawable.
  gc | The graphic context that controls the fill rules.
  x | The X coordinate of the top-left corner of the rectangle.
  y | The Y coordinate of the top-left corner of the rectangle.
  width | The width of the rectangle.
  height | The height of the rectangle.

EAPI Ecore_X_Window* ecore_x_window_root_list | ( | int * | num_ret | ) |

Get a list of all the root windows on the server.

Note
  The returned array will need to be freed after use.

Parameters

  num_ret | Pointer to integer to put number of windows returned in.

Returns
  An array of all the root windows. `NULL` is returned if memory could not be allocated for the list, or if `num_ret` is `NULL`.

References ecore_x_screen_count_get(), EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_icccm_protocol_atoms_set | ( | Ecore_X_Window | win,
|  | Ecore_X_Atom * | protos,
|  | int | num
| ) |  |

Set protocol atoms explicitly.

Parameters

  win | The Window
  protos | An array of protocol atoms
  num | the number of members of the array

EAPI void ecore_x_icccm_protocol_set | ( | Ecore_X_Window | win,
|  | Ecore_X_WM_Protocol | protocol,
|  | Eina_Bool | on
| ) |  |

Set or unset a wm protocol property.

Parameters

  win | The Window
  protocol | The protocol to enable/disable
  on | On/Off

References ECORE_X_WM_PROTOCOL_NUM.

EAPI Eina_Bool ecore_x_icccm_protocol_isset | ( | Ecore_X_Window | win,
|  | Ecore_X_WM_Protocol | protocol
| ) |  |

Determines whether a protocol is set for a window.

Parameters

  win | The Window
  protocol | The protocol to query

Returns
  1 if the protocol is set, else 0.

References ECORE_X_WM_PROTOCOL_NUM, EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_icccm_name_class_set | ( | Ecore_X_Window | win,
|  | const char * | n,
|  | const char * | c
| ) |  |

Set a window name & class.

Parameters

  win | The window
  n | The name string
  c | The class string

Set a window name * class

EAPI void ecore_x_icccm_name_class_get | ( | Ecore_X_Window | win,
|  | char ** | n,
|  | char ** | c
| ) |  |

Get a window name & class.

Parameters

  win | The window
  n | The name string
  c | The class string

Get a window name * class

EAPI char* ecore_x_icccm_client_machine_get | ( | Ecore_X_Window | win | ) |

Get a window client machine string.

Parameters

  win | The window

Returns
  The windows client machine string

Return the client machine of a window. String must be free'd when done with.

EAPI void ecore_x_icccm_command_set | ( | Ecore_X_Window | win,
|  | int | argc,
|  | char ** | argv
| ) |  |

Sets the WM_COMMAND property for win.

Parameters

  win | The window.
  argc | Number of arguments.
  argv | Arguments.

Referenced by ecore_x_window_defaults_set().

EAPI void ecore_x_icccm_command_get | ( | Ecore_X_Window | win,
|  | int * | argc,
|  | char *** | argv
| ) |  |

Get the WM_COMMAND property for win.

Return the command of a window. String must be free'd when done with.

Parameters

  win | The window.
  argc | Number of arguments.
  argv | Arguments.

EAPI char* ecore_x_icccm_icon_name_get | ( | Ecore_X_Window | win | ) |

Get a window icon name.

Parameters

  win | The window

Returns
  The windows icon name string

Return the icon name of a window. String must be free'd when done with.

References EINA_FALSE.

EAPI void ecore_x_icccm_icon_name_set | ( | Ecore_X_Window | win,
|  | const char * | t
| ) |  |

Set a window icon name.

Parameters

  win | The window
  t | The icon name string

Set a window icon name

References EINA_FALSE.

EAPI void ecore_x_icccm_colormap_window_set | ( | Ecore_X_Window | win,
|  | Ecore_X_Window | subwin
| ) |  |

Add a subwindow to the list of windows that need a different colormap installed.

Parameters

  win | The toplevel window
  subwin | The subwindow to be added to the colormap windows list

References ecore_x_window_prop_property_get(), and ecore_x_window_prop_property_set().

EAPI void ecore_x_icccm_colormap_window_unset | ( | Ecore_X_Window | win,
|  | Ecore_X_Window | subwin
| ) |  |

Remove a window from the list of colormap windows.

Parameters

  win | The toplevel window
  subwin | The window to be removed from the colormap window list.

References ecore_x_window_prop_property_get(), and ecore_x_window_prop_property_set().

EAPI void ecore_x_icccm_transient_for_set | ( | Ecore_X_Window | win,
|  | Ecore_X_Window | forwin
| ) |  |

Specify that a window is transient for another top-level window and should be handled accordingly.

Parameters

  win | the transient window
  forwin | the toplevel window

EAPI void ecore_x_icccm_transient_for_unset | ( | Ecore_X_Window | win | ) |

Remove the transient_for setting from a window.

Parameters

  win | The window

EAPI Ecore_X_Window ecore_x_icccm_transient_for_get | ( | Ecore_X_Window | win | ) |

Get the window this window is transient for, if any.

Parameters

  win | The window to check

Returns
  The window ID of the top-level window, or 0 if the property does not exist.

EAPI void ecore_x_icccm_window_role_set | ( | Ecore_X_Window | win,
|  | const char * | role
| ) |  |

Set the window role hint.

Parameters

  win | The window
  role | The role string

References ecore_x_window_prop_string_set().

EAPI char* ecore_x_icccm_window_role_get | ( | Ecore_X_Window | win | ) |

Get the window role.

Parameters

  win | The window

Returns
  The window's role string.

References ecore_x_window_prop_string_get().

EAPI void ecore_x_icccm_client_leader_set | ( | Ecore_X_Window | win,
|  | Ecore_X_Window | l
| ) |  |

Set the window's client leader.

Parameters

  win | The window
  l | The client leader window

All non-transient top-level windows created by an app other than the main window must have this property set to the app's main window.

EAPI Ecore_X_Window ecore_x_icccm_client_leader_get | ( | Ecore_X_Window | win | ) |

Get the window's client leader.

Parameters

  win | The window

Returns
  The window's client leader window, or 0 if unset

EAPI char* ecore_x_e_window_profile_get | ( | Ecore_X_Window | win | ) |

Get the window profile.

Parameters

  win | The client x window

Returns
  The string value of the window profile, or NULL if none exists

References ecore_x_atom_name_get(), and ecore_x_window_prop_property_get().

EAPI void ecore_x_e_window_profile_set | ( | Ecore_X_Window | win,
|  | const char * | profile
| ) |  |

Set the window profile.

Parameters

  win | The client x window
  profile | The string value of the window profile

References ecore_x_atom_get(), and ecore_x_window_prop_property_set().

EAPI void ecore_x_e_window_profile_list_set | ( | Ecore_X_Window | win,
|  | const char ** | profiles,
|  | unsigned int | num_profiles
| ) |  |

Set the array of window profiles.

Parameters

  win | The client x window
  profiles | The string array of window profiles
  num_profiles | The number of window profiles

Deprecated:
  use ecore_x_e_window_available_profiles_set

References alloca(), and ecore_x_window_prop_property_set().

EAPI Eina_Bool ecore_x_e_window_profile_list_get | ( | Ecore_X_Window | win,
|  | const char *** | profiles,
|  | int * | ret_num
| ) |  |

Get the array of window profiles.

Parameters

  win | The client x window
  profiles | Where to return the string array of window profiles
  ret_num | Where to return the number of window profiles

Returns
  EINA_TRUE if window profiles exist, EINA_FALSE otherwise

Deprecated:
  use ecore_x_e_window_available_profiles_get

References ecore_x_atom_name_get(), ecore_x_window_prop_property_get(), EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_e_window_profile_supported_set | ( | Ecore_X_Window | root,
|  | Eina_Bool | enabled
| ) |  |

Set the status for the window profile support.

Parameters

  root | The root window
  enabled | The enabled value for the window profile support

Since
  1.8

References ecore_x_window_free(), and ecore_x_window_new().

EAPI Eina_Bool ecore_x_e_window_profile_supported_get | ( | Ecore_X_Window | root | ) |

Query if the window profile is supported.

Parameters

  root | The root window

Returns
  EINA_TRUE if it is supported, EINA_FALSE otherwise

Since
  1.8

References EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_e_window_available_profiles_set | ( | Ecore_X_Window | win,
|  | const char ** | profiles,
|  | unsigned int | count
| ) |  |

Set the array of available window profiles.

Parameters

  win | The client x window
  profiles | The string array of available window profiles
  count | The number of available window profiles

Since
  1.8

References alloca(), and ecore_x_window_prop_property_set().

EAPI Eina_Bool ecore_x_e_window_available_profiles_get | ( | Ecore_X_Window | win,
|  | const char *** | profiles,
|  | int * | count
| ) |  |

Get the array of avaialbe window profiles.

Parameters

  win | The client x window
  profiles | Where to return the string array of available window profiles
  count | Where to return the number of members in profiles

Returns
  EINA_TRUE if available window profiles exist, EINA_FALSE otherwise

Since
  1.8

References ecore_x_atom_name_get(), ecore_x_window_prop_property_get(), EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_e_window_profile_change_send | ( | Ecore_X_Window | root,
|  | Ecore_X_Window | win,
|  | const char * | profile
| ) |  |

Send a profile change event to the window manager.

This function sends a request to the window manager to change the profile. If honored by the window manager, the client will receive a profile change request event back. If the client has replied, the window manager will move the client window on the virtual desktop associated with changed profile.

Parameters

  root | The root x window
  win | The client x window
  profile | The string value of the window profile

Since
  1.8

References ecore_x_atom_get().

EAPI void ecore_x_e_window_profile_change_request_send | ( | Ecore_X_Window | win,
|  | const char * | profile
| ) |  |

Send a profile change request event to the client.

This function sends a request to the client to change the profile. If the client has replied, the window manager will move the client window on the virtual desktop associated with changed profile.

Parameters

  win | The client x window
  profile | The string value of the window profile

Since
  1.8

References ecore_x_atom_get().

EAPI void ecore_x_e_window_profile_change_done_send | ( | Ecore_X_Window | root,
|  | Ecore_X_Window | win,
|  | const char * | profile
| ) |  |

Send a profile change done event to the window manager.

This function sends a profile change done event to the window manager. Upon receiving, the window manager will move the client window on the virtual desktop associated with changed profile.

Parameters

  root | The root x window
  win | The client x window
  profile | The string value of the window profile

Since
  1.8

References ecore_x_atom_get().

EAPI Eina_Bool ecore_x_screensaver_custom_blanking_disable | ( | void |  | ) |

Since
  1.7

References EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_screensaver_supend | ( | void |  | ) |

Since
  1.7

EAPI void ecore_x_screensaver_resume | ( | void |  | ) |

Since
  1.11

EAPI void ecore_x_screensaver_reset | ( | void |  | ) |

Since
  1.11

EAPI void ecore_x_screensaver_activate | ( | void |  | ) |

Since
  1.11

EAPI Ecore_X_Time ecore_x_randr_config_timestamp_get | ( | Ecore_X_Window | root | ) |

This function returns the current config timestamp from XRRScreenConfiguration.

Parameters

  root | root window to query screen configuration from

Returns
  The screen configuration timestamp

Since
  1.8

EAPI Ecore_X_Randr_Orientation ecore_x_randr_screen_primary_output_orientations_get | ( | Ecore_X_Window | root | ) |

Since
  1.8

EAPI void ecore_x_randr_screen_primary_output_current_size_get | ( | Ecore_X_Window | root,
|  | int * | w,
|  | int * | h,
|  | int * | w_mm,
|  | int * | h_mm,
|  | int * | size_index
| ) |  |

get the current set size of a given screen's primary output

Parameters

  root | window which's primary output will be queried
  w | the current size's width
  h | the current size's height
  w_mm | the current size's width in mm
  h_mm | the current size's height in mm
  size_index | of current set size to be used with ecore_x_randr_primary_output_size_set()

EAPI void ecore_x_randr_events_select | ( | Ecore_X_Window | win,
|  | Eina_Bool | on
| ) |  |

enable event selection.

This enables basic interaction with output/crtc events and requires RRandR >= 1.2.

Parameters

  win | select this window's properties for RandRR events
  on | enable/disable selecting

enable event selection.

This enables basic interaction with output/crtc events and requires RandR >= 1.2.

Parameters

  win | Select this window's properties for RandR events.
  on | Enable/disable selecting.

EAPI void ecore_x_randr_screen_reset | ( | Ecore_X_Window | root | ) |

removes unused screen space.

The most upper left CRTC is set to 0x0 and all other CRTCs dx,dy respectively.

Parameters

  root | the window's screen which will be reset.

EAPI Ecore_X_Randr_Mode ecore_x_randr_crtc_mode_get | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Crtc | crtc
| ) |  |

Get the current set mode of a given CRTC.

Parameters

  root | the window's screen to be queried
  crtc | the CRTC which's should be queried

Returns
  currently set mode or - in case parameters are invalid - Ecore_X_Randr_Unset

Referenced by ecore_x_randr_crtc_pos_relative_set().

EAPI Eina_Bool ecore_x_randr_crtc_mode_set | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Crtc | crtc,
|  | Ecore_X_Randr_Output * | outputs,
|  | int | noutputs,
|  | Ecore_X_Randr_Mode | mode
| ) |  |

Sets a mode for a CRTC and the outputs attached to it.

Parameters

  root | The window's screen to be queried
  crtc | The CRTC which shall be set
  outputs | Array of outputs which have to be compatible with the mode. If `NULL` CRTC will be disabled.
  noutputs | Number of outputs in array to be used. Use Ecore_X_Randr_Unset (or `-1`) to use currently used outputs.
  mode | XID of the mode to be set. If set to `0` the CRTC will be disabled. If set to `-1` the call will fail.

Returns
  `EINA_TRUE` if mode setting was successful, `EINA_FALSE` otherwise.

Parameters

  root | The window's screen to be queried.
  crtc | The CRTC which shall be set.
  outputs | Array of outputs which have to be compatible with the mode. If `NULL`, CRTC will be disabled.
  noutputs | Number of outputs in array to be used. Use Ecore_X_Randr_Unset (or `-1`) to use currently used outputs.
  mode | XID of the mode to be set. If set to `0` the CRTC will be disabled. If set to `-1` the call will fail.

Returns
  `EINA_TRUE` if mode setting was successful, `EINA_FALSE` otherwise.

References ecore_x_randr_crtc_settings_set(), and EINA_FALSE.

EAPI Eina_Bool ecore_x_randr_crtc_settings_set | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Crtc | crtc,
|  | Ecore_X_Randr_Output * | outputs,
|  | int | noutputs,
|  | int | x,
|  | int | y,
|  | Ecore_X_Randr_Mode | mode,
|  | Ecore_X_Randr_Orientation | orientation
| ) |  |

Sets the demanded parameters for a given CRTC.

Note that the CRTC is auto enabled in it's preferred mode, when it was disabled before.

Parameters

  root | The root window which's default display will be queried.
  crtc | The CRTC which's configuration should be altered.
  outputs | An array of outputs, that should display this CRTC's content.
  noutputs | Number of outputs in the array of outputs. If set to Ecore_X_Randr_Unset, current outputs and number of outputs will be used. If set to Ecore_X_Randr_None, CRTC will be disabled.
  x | New x coordinate. If <0 (e.g. Ecore_X_Randr_Unset) the current x coordinate will be assumed.
  y | New y coordinate. If <0 (e.g. Ecore_X_Randr_Unset) the current y coordinate will be assumed.
  mode | The new mode to be set. If Ecore_X_Randr_None is passed, the CRTC will be disabled. If Ecore_X_Randr_Unset is passed, the current mode is assumed.
  orientation | The new orientation to be set. If Ecore_X_Randr_Unset is used, the current mode is assumed.

Returns
  `EINA_TRUE` if the configuration alteration was successful, `EINA_FALSE` otherwise.

Note that the CRTC is auto enabled in it's preferred mode, when it was disabled before.

Parameters

  root | The root window which's default display will be queried.
  crtc | The CRTC which's configuration should be altered.
  outputs | An array of outputs, that should display this CRTC's content.
  noutputs | Number of outputs in the array of outputs. If set to Ecore_X_Randr_Unset, current outputs and number of outputs will be used. If set to Ecore_X_Randr_None, CRTC will be disabled.
  x | New x coordinate. If <0 (e.g. Ecore_X_Randr_Unset) the current x corrdinate will be assumed.
  y | New y coordinate. If <0 (e.g. Ecore_X_Randr_Unset) the current y corrdinate will be assumed.
  mode | The new mode to be set. If Ecore_X_Randr_None is passed, the CRTC will be disabled. If Ecore_X_Randr_Unset is passed, the current mode is assumed.
  orientation | The new orientation to be set. If Ecore_X_Randr_Unset is used, the current mode is assumed.

Returns
  `EINA_TRUE` if the configuration alteration was successful, `EINA_FALSE` otherwise.

References EINA_FALSE, and EINA_TRUE.

Referenced by ecore_x_randr_crtc_mode_set().

EAPI Eina_Bool ecore_x_randr_crtc_pos_relative_set | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Crtc | crtc_r1,
|  | Ecore_X_Randr_Crtc | crtc_r2,
|  | Ecore_X_Randr_Output_Policy | policy,
|  | Ecore_X_Randr_Relative_Alignment | alignment
| ) |  |

Sets a CRTC relative to another one.

Parameters

  root | The window on which CRTC's position will be set.
  crtc_r1 | The CRTC to be positioned.
  crtc_r2 | The CRTC the position should be relative to.
  policy | The relation between the crtcs.
  alignment | In case CRTCs size differ, aligns CRTC1 accordingly at CRTC2's borders.

Returns
  `EINA_TRUE` if crtc could be successfully positioned, `EINA_FALSE` if repositioning failed or if position of new crtc would be out of given screen's min/max bounds.

Parameters

  root | The root window which's default display will be set.
  crtc_r1 | The CRTC to be positioned.
  crtc_r2 | The CRTC the position should be relative to.
  policy | The relation between the crtcs.
  alignment | In case CRTCs size differ, aligns CRTC1 accordingly at CRTC2's borders.

Returns
  `EINA_TRUE` if crtc could be successfully positioned, `EINA_FALSE` if repositioning failed or if position of new crtc would be out of given screen's min/max bounds.

References ecore_x_randr_crtc_mode_get(), EINA_FALSE, EINA_TRUE, _Eina_Rectangle::h, _Eina_Rectangle::w, _Eina_Rectangle::x, and _Eina_Rectangle::y.

EAPI Ecore_X_Randr_Crtc_Info* ecore_x_randr_crtc_info_get | ( | Ecore_X_Window | root,
|  | const Ecore_X_Randr_Crtc | crtc
| ) |  |

Since
  1.8

EAPI void ecore_x_randr_crtc_info_free | ( | Ecore_X_Randr_Crtc_Info * | info | ) |

Since
  1.8

EAPI Ecore_X_Randr_Output* ecore_x_randr_output_clones_get | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Output | output,
|  | int * | num
| ) |  |

Gets the outputs which might be used simultaneously on the same CRTC.

Parameters

  root | Window that this information should be queried for.
  output | The output which's clones we concern.
  num | Number of possible clones.

Returns
  The existing outputs, `NULL` otherwise.

Gets the outputs which might be used simultaneously on the same CRTC.

Parameters

  root | window that this information should be queried for.
  output | the output which's clones we concern
  num | number of possible clones

EAPI char* ecore_x_randr_output_name_get | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Output | output,
|  | int * | len
| ) |  |

gets the given output's name as reported by X

Parameters

  root | the window which's screen will be queried
  output | The output name given to be reported.
  len | length of returned c-string.

Returns
  name of the output as reported by X

Parameters

  root | the window which's screen will be queried
  output | The output for which the name will be reported.
  len | length of returned c-string.

Returns
  name of the output as reported by X

EAPI void ecore_x_randr_mode_size_get | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Mode | mode,
|  | int * | w,
|  | int * | h
| ) |  |

Gets the width and hight of a given mode.

Parameters

  root | Window which's screen's ressources are queried.
  mode | The mode which's size is to be looked up.
  w | Width of given mode in px.
  h | Height of given mode in px.

Gets the width and hight of a given mode.

Parameters

  mode | the mode whose size is to be looked up
  w | width of given mode in px
  h | height of given mode in px

EAPI int ecore_x_randr_crtc_gamma_size_get | ( | Ecore_X_Randr_Crtc | crtc | ) |

Since
  1.8

EAPI Ecore_X_Randr_Crtc_Gamma_Info* ecore_x_randr_crtc_gamma_get | ( | Ecore_X_Randr_Crtc | crtc | ) |

Since
  1.8

EAPI Eina_Bool ecore_x_randr_crtc_gamma_set | ( | Ecore_X_Randr_Crtc | crtc,
|  | const Ecore_X_Randr_Crtc_Gamma_Info * | gamma
| ) |  |

Since
  1.8

References EINA_FALSE, and EINA_TRUE.

EAPI Eina_Bool ecore_x_randr_edid_has_valid_header | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Validates the header from raw EDID data.

Parameters

  edid | The edid structure.
  edid_length | Length of the edid structure.

Returns
  `EINA_TRUE`, if the header is valid, `EINA_FALSE` otherwise.

References EINA_FALSE, and EINA_TRUE.

Referenced by ecore_x_randr_edid_manufacturer_model_get(), ecore_x_randr_edid_manufacturer_name_get(), ecore_x_randr_edid_manufacturer_serial_number_get(), and ecore_x_randr_edid_version_get().

EAPI Eina_Bool ecore_x_randr_edid_info_has_valid_checksum | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Checks whether a display's EDID has a valid checksum.

Parameters

  edid | The edid structure.
  edid_length | Length of the edid structure.

Returns
  `EINA_TRUE`, if the checksum is valid, `EINA_FALSE` otherwise.

References ecore_x_randr_edid_version_get(), EINA_FALSE, and EINA_TRUE.

EAPI int ecore_x_randr_edid_version_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the encoded version from raw EDID data.

The return value has the minor version in the lowest 8 bits, and the major version in all the rest of the bits. i.e.

minor = (version & 0x000000ff); major = (version & 0xffffff00) >> 8;

Parameters

  edid | the edid structure
  edid_length | length of the edid structure

Returns
  The encoded major and minor version encasuplated an int.

References ecore_x_randr_edid_has_valid_header().

Referenced by ecore_x_randr_edid_display_ascii_get(), ecore_x_randr_edid_display_aspect_ratio_preferred_get(), ecore_x_randr_edid_display_aspect_ratios_get(), ecore_x_randr_edid_display_colorscheme_get(), ecore_x_randr_edid_display_interface_type_get(), ecore_x_randr_edid_display_name_get(), ecore_x_randr_edid_display_serial_get(), ecore_x_randr_edid_display_type_digital_get(), ecore_x_randr_edid_dpms_available_get(), ecore_x_randr_edid_dpms_off_available_get(), ecore_x_randr_edid_dpms_standby_available_get(), ecore_x_randr_edid_dpms_suspend_available_get(), and ecore_x_randr_edid_info_has_valid_checksum().

EAPI char* ecore_x_randr_edid_manufacturer_name_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the encoded manufacturer from raw EDID data.

Parameters

  edid | the edid structure
  edid_length | length of the edid structure

Returns
  The encoded manufacturer identifier.

References ecore_x_randr_edid_has_valid_header().

EAPI char* ecore_x_randr_edid_display_name_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the encoded name from raw EDID data.

Parameters

  edid | the edid structure
  edid_length | length of the edid structure

Returns
  The encoded manufacturer identifier.

References ecore_x_randr_edid_version_get().

EAPI char* ecore_x_randr_edid_display_ascii_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the encoded ASCII from raw EDID data.

Parameters

  edid | the edid structure
  edid_length | length of the edid structure

Returns
  The encoded ASCII display identifier.

References ecore_x_randr_edid_version_get().

EAPI char* ecore_x_randr_edid_display_serial_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the encoded serial identifier from raw EDID data.

Parameters

  edid | the edid structure
  edid_length | length of the edid structure

Returns
  The encoded serial identifier.

References ecore_x_randr_edid_version_get().

EAPI int ecore_x_randr_edid_model_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the encoded model number from raw EDID data.

The manufacturer ID table is necessary for a useful description.

Parameters

  edid | the edid structure
  edid_length | length of the edid structure

Returns
  The encoded model number.

References ecore_x_randr_edid_manufacturer_model_get().

EAPI int ecore_x_randr_edid_manufacturer_serial_number_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the manufacturer serial number from raw EDID data.

Parameters

  edid | the edid structure
  edid_length | length of the edid structure

Returns
  The encoded serial manufacturer serial number.

References ecore_x_randr_edid_has_valid_header().

EAPI int ecore_x_randr_edid_manufacturer_model_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the manufacturer model number from raw EDID data.

Parameters

  edid | the edid structure
  edid_length | length of the edid structure

Returns
  The manufacturer's model number.

References ecore_x_randr_edid_has_valid_header().

Referenced by ecore_x_randr_edid_model_get().

EAPI Eina_Bool ecore_x_randr_edid_dpms_available_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Looks up the DPMS support from raw EDID data.

Parameters

  edid | The edid structure.
  edid_length | Length of the edid structure.

Returns
  `EINA_TRUE`, if DPMS is supported in some way, `EINA_FALSE` otherwise.

References ecore_x_randr_edid_version_get(), and EINA_FALSE.

EAPI Eina_Bool ecore_x_randr_edid_dpms_standby_available_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Looks up the DPMS Standby support from raw EDID data.

Parameters

  edid | The edid structure.
  edid_length | Length of the edid structure.

Returns
  `EINA_TRUE`, if DPMS Standby is supported, `EINA_FALSE` otherwise.

References ecore_x_randr_edid_version_get(), and EINA_FALSE.

EAPI Eina_Bool ecore_x_randr_edid_dpms_suspend_available_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Looks up the DPMS Suspend support from raw EDID data.

Parameters

  edid | The edid structure.
  edid_length | Length of the edid structure.

Returns
  `EINA_TRUE`, if DPMS Suspend is supported, `EINA_FALSE` otherwise.

References ecore_x_randr_edid_version_get(), and EINA_FALSE.

EAPI Eina_Bool ecore_x_randr_edid_dpms_off_available_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Looks up the DPMS Off support from raw EDID data.

Parameters

  edid | The edid structure.
  edid_length | Length of the edid structure.

Returns
  `EINA_TRUE`, if DPMS Off is supported, `EINA_FALSE` otherwise.

References ecore_x_randr_edid_version_get(), and EINA_FALSE.

EAPI Ecore_X_Randr_Edid_Aspect_Ratio ecore_x_randr_edid_display_aspect_ratio_preferred_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the preferred aspect ratio from raw EDID data.

Parameters

  edid | the edid structure
  edid_length | length of the edid structure

Returns
  The preferred aspect ratio.

References ecore_x_randr_edid_version_get().

EAPI Ecore_X_Randr_Edid_Aspect_Ratio ecore_x_randr_edid_display_aspect_ratios_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the supported aspect ratios from raw EDID data.

Parameters

  edid | the edid structure
  edid_length | length of the edid structure

Returns
  The supported aspect ratios.

References ecore_x_randr_edid_version_get().

EAPI Ecore_X_Randr_Edid_Display_Colorscheme ecore_x_randr_edid_display_colorscheme_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the supported colorschemes from raw EDID data.

Parameters

  edid | the edid structure
  edid_length | length of the edid structure

Returns
  The supported colorschemes.

References ecore_x_randr_edid_display_type_digital_get(), and ecore_x_randr_edid_version_get().

EAPI Eina_Bool ecore_x_randr_edid_display_type_digital_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the display type from raw EDID data.

Parameters

  edid | The edid structure.
  edid_length | Length of the edid structure.

Returns
  `EINA_TRUE`, if the display is a digital one, `EINA_FALSE` otherwise.

References ecore_x_randr_edid_version_get(), and EINA_FALSE.

Referenced by ecore_x_randr_edid_display_colorscheme_get().

EAPI Ecore_X_Randr_Edid_Display_Interface_Type ecore_x_randr_edid_display_interface_type_get | ( | unsigned char * | edid,
|  | unsigned long | edid_length
| ) |  |

Get the display interface type from raw EDID data.

Parameters

  edid | the edid structure
  edid_length | length of the edid structure

Returns
  The interface type.

References ecore_x_randr_edid_version_get().

EAPI void ecore_x_randr_screen_backlight_level_set | ( | Ecore_X_Window | root,
|  | double | level
| ) |  |

Set up the backlight level to the given level.

Parameters

  root | The window's screen which will be set.
  level | Of the backlight between `0` and `1`.

EAPI unsigned char* ecore_x_randr_output_edid_get | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Output | output,
|  | unsigned long * | length
| ) |  |

Gets the EDID information of an attached output if available.

Note that this information is not to be compared using ordinary string comparison functions, since it includes 0-bytes.

Parameters

  root | Window this information should be queried from.
  output | The XID of the output.
  length | Length of the byte-array. If `NULL`, request will fail.

Returns
  EDID information of the output.

Gets the EDID information of an attached output if available.

Note that this information is not to be compared using ordinary string comparison functions, since it includes 0-bytes.

Parameters

  root | window this information should be queried from
  output | the XID of the output
  length | length of the byte-array. If NULL, request will fail.

References ecore_x_atom_get().

EAPI void ecore_x_randr_crtc_panning_area_get | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Crtc | crtc,
|  | int * | x,
|  | int * | y,
|  | int * | w,
|  | int * | h
| ) |  |

Since
  1.8

EAPI Eina_Bool ecore_x_randr_crtc_panning_area_set | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Crtc | crtc,
|  | const int | x,
|  | const int | y,
|  | const int | w,
|  | const int | h
| ) |  |

Since
  1.8

References EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_randr_crtc_tracking_area_get | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Crtc | crtc,
|  | int * | x,
|  | int * | y,
|  | int * | w,
|  | int * | h
| ) |  |

Since
  1.8

EAPI Eina_Bool ecore_x_randr_crtc_tracking_area_set | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Crtc | crtc,
|  | const int | x,
|  | const int | y,
|  | const int | w,
|  | const int | h
| ) |  |

Since
  1.8

References EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_randr_crtc_border_area_get | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Crtc | crtc,
|  | int * | x,
|  | int * | y,
|  | int * | w,
|  | int * | h
| ) |  |

Since
  1.8

EAPI Eina_Bool ecore_x_randr_crtc_border_area_set | ( | Ecore_X_Window | root,
|  | Ecore_X_Randr_Crtc | crtc,
|  | const int | left,
|  | const int | top,
|  | const int | right,
|  | const int | bottom
| ) |  |

Since
  1.8

References EINA_FALSE, and EINA_TRUE.

EAPI Eina_Bool ecore_x_fixes_selection_notification_request | ( | Ecore_X_Atom | selection | ) |

xfixes selection notification request.

This lets you choose which selections you want to get notifications for.

Parameters

  selection | The selection atom.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise.

Since
  1.1.0

References EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_present_select_events | ( | Ecore_X_Window | win,
|  | unsigned int | events
| ) |  |

Since
  1.9

EAPI void ecore_x_present_notify_msc | ( | Ecore_X_Window | win,
|  | unsigned int | serial,
|  | unsigned long long | target_msc,
|  | unsigned long long | divisor,
|  | unsigned long long | remainder
| ) |  |

Since
  1.9

EAPI void ecore_x_present_pixmap | ( | Ecore_X_Window | win,
|  | Ecore_X_Pixmap | pixmap,
|  | unsigned int | serial,
|  | Ecore_X_Region | valid,
|  | Ecore_X_Region | update,
|  | int | x_off,
|  | int | y_off,
|  | Ecore_X_Randr_Crtc | target_crtc,
|  | Ecore_X_Sync_Fence | wait_fence,
|  | Ecore_X_Sync_Fence | idle_fence,
|  | unsigned int | options,
|  | unsigned long long | target_msc,
|  | unsigned long long | divisor,
|  | unsigned long long | remainder,
|  | Ecore_X_Present * | notifies,
|  | int | num_notifies
| ) |  |

Since
  1.9

EAPI Eina_Bool ecore_x_present_exists | ( | void |  | ) |

Since
  1.9

EAPI Eina_Bool ecore_x_damage_query | ( | void |  | ) |

Since
  1.7

EAPI Ecore_X_Dpms_Mode ecore_x_dpms_power_level_get | ( | void |  | ) |

Check the DPMS power level.

Returns
  `0` if DPMS is :In Use
  `1` if DPMS is :Blanked, low power
  `2` if DPMS is :Blanked, lower power
  `3` if DPMS is :Shut off, awaiting activity
  `-1` otherwise.
  `0` if DPMS is :In Use
  `1` if DPMS is :Blanked, low power
  `2` if DPMS is :Blanked, lower power
  `3` if DPMS is :Shut off, awaiting activity
  `-1` othwhise.

EAPI int ecore_x_keysym_keycode_get | ( | const char * | keyname | ) |

Given a keyname, return the keycode representing that key.

Parameters

  keyname | The key from which to get the keycode.

Returns
  The keycode of the key.

Since
  1.2.0

EAPI Eina_Bool ecore_x_input_raw_select | ( | Ecore_X_Window | win | ) |

Since
  1.8

References EINA_FALSE.

EAPI void ecore_x_e_illume_indicator_type_set | ( | Ecore_X_Window | win,
|  | Ecore_X_Illume_Indicator_Type_Mode | mode
| ) |  |

Since
  1.8

EAPI Ecore_X_Illume_Indicator_Type_Mode ecore_x_e_illume_indicator_type_get | ( | Ecore_X_Window | win | ) |

Since
  1.8

EAPI void ecore_x_e_illume_indicator_type_send | ( | Ecore_X_Window | win,
|  | Ecore_X_Illume_Indicator_Type_Mode | mode
| ) |  |

Since
  1.8

References ecore_x_client_message32_send().

EAPI void ecore_x_e_illume_window_state_send | ( | Ecore_X_Window | win,
|  | Ecore_X_Illume_Window_State | state
| ) |  |

Since
  1.9

References ecore_x_client_message32_send().

EAPI void ecore_x_e_window_rotation_supported_set | ( | Ecore_X_Window | root,
|  | Eina_Bool | enabled
| ) |  |

Since
  1.9

References ecore_x_window_free(), and ecore_x_window_new().

EAPI Eina_Bool ecore_x_e_window_rotation_supported_get | ( | Ecore_X_Window | root | ) |

Since
  1.9

References EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_e_window_rotation_app_set | ( | Ecore_X_Window | win,
|  | Eina_Bool | set
| ) |  |

Since
  1.9

EAPI Eina_Bool ecore_x_e_window_rotation_app_get | ( | Ecore_X_Window | win | ) |

Since
  1.9

References EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_e_window_rotation_preferred_rotation_set | ( | Ecore_X_Window | win,
|  | int | rot
| ) |  |

Since
  1.9

EAPI Eina_Bool ecore_x_e_window_rotation_preferred_rotation_get | ( | Ecore_X_Window | win,
|  | int * | rot
| ) |  |

Since
  1.9

References EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_e_window_rotation_available_rotations_set | ( | Ecore_X_Window | win,
|  | const int * | rots,
|  | unsigned int | count
| ) |  |

Since
  1.9

EAPI Eina_Bool ecore_x_e_window_rotation_available_rotations_get | ( | Ecore_X_Window | win,
|  | int ** | rots,
|  | unsigned int * | count
| ) |  |

Since
  1.9

References ecore_x_window_prop_property_get(), EINA_FALSE, and EINA_TRUE.

EAPI void ecore_x_e_window_rotation_change_prepare_send | ( | Ecore_X_Window | win,
|  | int | rot,
|  | Eina_Bool | resize,
|  | int | w,
|  | int | h
| ) |  |

Since
  1.9

References ecore_x_client_message32_send().

EAPI void ecore_x_e_window_rotation_change_prepare_done_send | ( | Ecore_X_Window | root,
|  | Ecore_X_Window | win,
|  | int | rot
| ) |  |

Since
  1.9

EAPI void ecore_x_e_window_rotation_change_request_send | ( | Ecore_X_Window | win,
|  | int | rot
| ) |  |

Since
  1.9

References ecore_x_client_message32_send().

EAPI void ecore_x_e_window_rotation_change_done_send | ( | Ecore_X_Window | root,
|  | Ecore_X_Window | win,
|  | int | rot,
|  | int | w,
|  | int | h
| ) |  |

Since
  1.9

## Variable Documentation

EAPI int ECORE_X_EVENT_ANY

low level event dependent on backend in use, if Xlib will be XEvent, if XCB will be xcb_generic_event_t.

Warning
  avoid using it.

Referenced by ecore_x_init().

EAPI int ECORE_X_EVENT_XKB_NEWKBD_NOTIFY

Since
  1.7

Referenced by ecore_x_init().

EAPI int ECORE_X_EVENT_GENERIC

Since
  1.7

Referenced by ecore_x_init().

EAPI int ECORE_X_EVENT_PRESENT_CONFIGURE

Since
  1.9

EAPI int ECORE_X_EVENT_PRESENT_COMPLETE

Since
  1.9

EAPI int ECORE_X_EVENT_PRESENT_IDLE

Since
  1.9

EAPI int ECORE_X_MODIFIER_SHIFT

Since
  1.7

EAPI int ECORE_X_MODIFIER_CTRL

Since
  1.7

EAPI int ECORE_X_MODIFIER_ALT

Since
  1.7

EAPI int ECORE_X_MODIFIER_WIN

Since
  1.7

EAPI int ECORE_X_MODIFIER_ALTGR

Since
  1.7

EAPI int ECORE_X_RAW_BUTTON_PRESS

Since
  1.8

Referenced by ecore_x_init().

EAPI int ECORE_X_RAW_BUTTON_RELEASE

Since
  1.8

Referenced by ecore_x_init().

EAPI int ECORE_X_RAW_MOTION

Since
  1.8

Referenced by ecore_x_init().